lintian (2.122.0ubuntu2.1) questing; urgency=medium

  * Welcome Stonking Stingray! (LP: #2151306)

 -- Oliver Reiche <oliver.reiche@canonical.com>  Wed, 06 May 2026 16:19:34 +0200

lintian (2.122.0ubuntu2) questing; urgency=medium

  - Fix tests when /bin/true is a symlink (uutils) (LP: #2124969)
  - Add 'resolute' to known distro series (LP: #2127769)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Tue, 14 Oct 2025 10:38:50 +0200

lintian (2.122.0ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2109768). Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
    - d/control: Fix wrong dependency plzip to lzip
  * New changes:
    - Add "questing" as a known Ubuntu distribution. (LP: #2109817)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Thu, 01 May 2025 17:58:13 +0530

lintian (2.122.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Add Maytham Alsudany as maintainer
  * d/control: Bump Standards-Version to 4.7.2. No changes needed.

  [ Maytham Alsudany ]
  * Implement separate hint for when a language group code is used as a locale
    (Closes: #1013946)
  * Account for indented imports in Python stdlib-deprecation check
    (Closes: #1084833)
  * Add duke to list of known distributions
  * Emit error when a trailing comma is present in the Maintainer field
    (Closes: #1089649)
  * Emit unknown-file-in-python-module-directory tag if __init__.py found in
    dist-packages root (Closes: #1071061)
  * Check for another old FSF address (Closes: #1080497)
  * d/salsa-ci.yml: Disable bookworm-backports job
  * Allow for "=" in --home option when checking
    maintainer-script-lacks-home-in-adduser (Closes: #1055591)
  * Emit warning when nproc is used in debian/rules (Closes: #1088671)
  * Add support and checks for the Static-Built-Using field (Closes: #1050428)
  * Decrease severity of spelling-error-in-binary tag to experimental
  * Enable UNLINK option for tempfile created by Lintian::Storage::MLDBM
    (Closes: #1014083)
  * Lower severity of bash-completion-with-hashbang to pedantic
    (Closes: #965327)
  * Remove "./" from d/copyright glob before testing if it matches anything
    (Closes: #1008479)
  * Convert silent-on-rules-requiring-root to a classification hint
    (Closes: #1091912)
  * Allow sourcing init-functions from /usr/lib as well (Closes: #1099868)
  * Update check for dependency on python3-numpy-abi (Closes: #1094364)
  * Replace reference to non-existent "unpack_errors" property with
    "unpack_messages" (Closes: #1065175)
  * Add testcase for filename with the "+" sign in a DEP5 copyright file

  [ Christoph Biedl ]
  * Adjust i386 architecture detection (Closes: #1100664)

  [ Samuel Thibault ]
  * data/binaries/arch-regex: Add hurd-amd64 case

  [ Christopher Obbard ]
  * Correctly determine if package has been built with golang (Closes: #947630)

  [ Timo Paulssen ]
  * When "info" is set, also have tag descs in html

  [ Charles Short ]
  * Add profile for eLxr Linux

  [ Bo YU ]
  * Update build-depends with libperl-critic-community-perl to replace
    libperl-critic-freenode-perl. (Closes: #1101405)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 28 Mar 2025 14:43:21 -0400

lintian (2.121.2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
  * Dropped change, included in Debian:
    - Add support for Standards-Versions up to and including 4.7.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 10:07:03 -0500

lintian (2.121.2) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Make code perltidy again
  * Revert deletion of debian/source/local-options
  * refresh data for Policy 4.7.2. Thanks to vimerbf for trying to fix this
    issue.

  [ Maytham Alsudany ]
  * Update list of deprecated cdbs makefiles and update test.
    Thanks to Alexandre Detiste (Closes: #1099899, #1100238)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 19 Mar 2025 17:50:19 -0400

lintian (2.121.1+nmu1ubuntu2) plucky; urgency=medium

  * Add support for Standards-Versions up to and including 4.7.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Feb 2025 18:07:42 -0600

lintian (2.121.1+nmu1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Feb 2025 09:28:07 +0100

lintian (2.121.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/clean: Add trailing slashes to directories to fix clean
    rule.
  * t: Disable tests that fail with dpkg/1.22.12 and newer until
    the maintainer can have a look at a better fix.
    (Closes: #1092092, #1092381)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 10:44:57 +0000

lintian (2.121.1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:41:24 +0100

lintian (2.121.1) unstable; urgency=medium

  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 05 Dec 2024 15:52:11 -0500

lintian (2.121.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Add new binary package lintian-doc
  * Remove mentions of the old lintian.debian.org infra from the documentation

  [ Helmut Grohne ]
  * Diagnose files in aliased locations

  [ Santiago Ruano Rincón ]
  * Warn about dependency on obsolete bootstrap packages (Closes: #1086740)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 05 Dec 2024 14:37:45 -0500

lintian (2.120.0ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 20:28:34 +0100

lintian (2.120.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - dep3-format-patch-author-or-from-is-better
      - invalid-dep3-format-patch-bug-field-default-value
      - invalid-dep3-format-patch-bug-not-contain-url
      - invalid-dep3-format-patch-maybe-bug-debian
      - invalid-dep3-format-patch-no-description-and-subject
      - invalid-dep3-format-patch-no-origin
      - invalid-dep3-format-patch-origin-field-default-value
      - invalid-dep3-format-patch-wrong-bug-debian-url
      - invalid-dep3-format-patch-wrong-last-update

  [ Louis-Philippe Véronneau ]
  * depends-on-obsolete-package: reduce the severity to warning.
    (Closes: #1029187)

  [ Timo Paulssen ]
  * Don't re-check if python is in dependencies for every file.
  * Make File::Contents::LineLength::visit_patched_files a bit faster.

  [ Simon Quigley ]
  * Add "plucky" as a known Ubuntu distribution.

  [ Nicolas Peugnet ]
  * Indent some lists with a single space to fix console output.
  * Indent descriptions with a single space.
  * Fix some obvious broken links to man pages.
  * Fix clearly invalid Markdown tag descriptions.
  * Fix some more invalid <code> tags in literal blocks.
  * Indent some text to turn them into literal blocks.

  [ Yavor Doganov ]
  * Don't emit package-contains-documentation-outside-usr-share-doc for .gorm
    files and GNUstep docs. (Closes: #1084465).

  [ Andrea Pappacoda ]
  * Do not raise silent-on-rules-requiring-root if dpkg-build-api is v1 or
    newer. (Closes: #1057176)

  [ Hideki Yamane ]
  * Extend DEP3 check.

  [ наб ]
  * command-with-path-in-maintainer-script: recommend command -v (standard
    built-in) instead of which (some program).

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 02 Nov 2024 16:13:21 -0400

lintian (2.119.0ubuntu2) plucky; urgency=medium

  * Add plucky as known Ubuntu distribution

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Oct 2024 16:01:45 +0200

lintian (2.119.0ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 18:38:33 +0200

lintian (2.119.0) unstable; urgency=medium

  [ Blair Noctis ]
  * Add fish completions for lintian, lintian-explain-tags,
    lintian-annotate-hints.

  [ Louis-Philippe Véronneau ]
  * Recommend node-async instead of the now removed libjs-async.
    (Closes: #1082761)
  * Mark 'source-is-missing' as Experimental.
  * Remove string interpolations from uses-deprecated-python-stdlib tag
    description.

  [ Otto Kekäläinen ]
  * Salsa CI: Remove unnecessary autopkgtest timeout check.
  * Minor improvements to CONTRIBUTING.md.

  [ Bas Couwenberg ]
  * Java 21 is now default. (Closes: #1080352)

  [ Petter Reinholdtsen ]
  * Extended AppstreamMetadata check to validate XML content.

  [ Rebecca N. Palmer ]
  * Improve uses-deprecated-python-stdlib. (Closes: #1077324)

  [ Andrius Merkys ]
  * Compare parsed version strings of YAML::XS. (Closes: #1082612)

  [ Adrian Bunk ]
  * source-nmu-has-incorrect-version-number: Fix false positive for +deb*u*
    versions.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 29 Sep 2024 15:16:45 -0400

lintian (2.118.2) unstable; urgency=medium

  * Validate domain's TLD when checking for bogus-mail-host. (Closes: #1081316)
  * Fix typo in documentation

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 10 Sep 2024 21:46:32 -0400

lintian (2.118.1) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Fix false-positive for uses-deprecated-python-stdlib tag (Closes: #1077324)
  * Add myself to the uploaders

  [ Bastien Roucariès ]
  * Refresh data
  * Document release

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 01 Sep 2024 19:45:56 -0400

lintian (2.118.0ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 08:58:10 +0200

lintian (2.118.0) unstable; urgency=medium

  * Retroactively add missing entry to the 2.117.1 changelog entry
    (Closes: #1077557)
  * Bump version due to tag added in 2.117.1
  * Use C.UTF8 locale for building documentation (fix a FTBFS)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 30 Jul 2024 09:21:17 +0000

lintian (2.117.1ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
    - Depend on locales-all to fix build due to rst2html

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 10:39:49 +0200

lintian (2.117.1) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - gir-package-name-does-not-match
      - package-installs-deprecated-python2-path
      - systemd-alternatives
      - systemd-diversion
      - uses-deprecated-python-stdlib
    + Removed:
      - uses-python-distutils

  [ Axel Beckert ]
  * Retroactively mention #1033894 in previous changelog entry.
  * data/changes-file/known-dists: Add trixie and forky
  * Refresh data (fonts and debhelper add-ons and commands)
  * Refresh data (add-ons, commands, fonts)

  [ Otto Kekäläinen ]
  * Salsa-CI: Extend autopkgtest job timeout to 3h by default
  * Declare compliance with Debian Policy 4.7.0
  * Salsa-CI: Run both current and new Lintian to
    ensure full compatibility

  [ Bastien Roucariès ]
  * Avoid an error with recent dpkg tools
  * Workarround failure with recent gcc
  * invalid-versioned-provides could not be anymore tested
    due to dpkg-dev change
  * rebuild against dh-elpa >=2.1.5 (Closes: #1077112)

  [ Simon McVittie ]
  * gobject-introspection | dh-sequence-gir implements dh --with=gir
    (Closes: #964290, #1063709)
  * gir: Also look for GIR XML in /usr/lib/${DEB_HOST_MULTIARCH}/gir-1.0
  * t/recipes/checks/desktop/gnome/gir: Install multiarch files correctly
  * t: Assert that desktop/gnome/gir checks are done on multiarch locations
  * t: Exercise the good (no warnings) case for multiarch desktop/gnome/gir
  * tags: Describe preferred Provides for typelib-package-name-does-not-match
  * tags: Mention the multiarch directory for public GIR XML
  * tags: Say how to add Depends/Provides for gir-missing-typelib-dependency
  * t: Catch up with best practices for GIR XML packaging
  * desktop/gnome/gir: Check for GIR XML canonical naming
  * data: Add nogir as a known build-profile

  [ Louis-Philippe Véronneau ]
  * missing-prerequisite-for-pyproject-backend: add support for whey
  * Modify checks for the python3-pdm-pep517 -> python3-pdm-backend rename.
  * New tag: uses-deprecated-python-stdlib
  * New tag: package-installs-deprecated-python2-path (Closes: #1033294)
  * Refactor 'python-module-in-wrong-location' check

  [ Nilesh Patra ]
  * Obsolete package python3-pdm-pep517 replaced by python3-pdm-backend
  * Remove strict check for comma in "Origin" field in DEP3 header
  * [ci skip] Revert "Remove strict check for comma in "Origin" field in
    DEP3 header"

  [ James McCoy ]
  * t: Fix compilation failures with dpkg 1.22.6 (Closes: #1066261)

  [ Colin Watson ]
  * Add alioth-lists.debian.net to team maintenance check

  [ Simon Quigley ]
  * Add "oracular" as a known Ubuntu distribution.

  [ Bo YU ]
  * Update debian-policy for 4.7.0

  [ Kentaro Hayashi ]
  * ci: check longer timeout for autopkgtest

  [ Luca Boccassi ]
  * Upgrade the severity of missing-systemd-service-for-init.d-script from
    warning to error.
  * Raise an error when diversions/alternatives are used for systemd
    files.
  * wrong-path-for-interpreter: allow aliased locations (Closes: #1051338)

  [ Mattias Ellert ]
  * Fix regex replacement for transition suffix g
  * Only remove transition suffices when preceded by a digit
  * Add transition suffix t64 for 64 bit time_t transition

  [ William Desportes ]
  * Improve CONTRIBUTING.md

  [ Edu Gómez Escandell ]
  * Fix inconsistencies in documentation of lintian-explain-tags

  [ Andrius Merkys ]
  * Rewrite files/contents/line-length in a more effective manner.
  * Drop unused semicolor counting code from lib/Lintian/Check/Files/SourceMissing.pm
  * Speed up files/source-missing check

 -- Bastien Roucariès <rouca@debian.org>  Sat, 27 Jul 2024 21:39:04 +0000

lintian (2.117.0ubuntu2) oracular; urgency=medium

  * Add "oracular" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 30 Apr 2024 11:27:09 -0500

lintian (2.117.0ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 21 Feb 2024 11:43:16 -0600

lintian (2.117.0) unstable; urgency=low

  The "One Year Later" Release.

  * Summary of tag changes:
    + Removed:
      - package-supports-alternative-init-but-no-init.d-script

  [ Multiple developers multiple times ]
  * Refresh data. (Re-adds the Loongson 64 architecture, see #1028654)
  * Run perltidy

  [ Axel Beckert ]
  * Fix "Use of uninitialized value $LINTIAN_CFG" in debug output.
  * data/spelling/corrections: Drop valid word "resizeable".
  * Salsa CI: add bookworm-backports, drop buster-backports.
  * Fix test suite issues caused by usrmerge changes in debhelper.
  * Udev+AppstreamMetadata checks: Detect udev rules also under /usr/lib/.
  * Add b-d on debhleper ≥ 13.11.8~ if testsuite is run at build time.
  * L::C::B::Corrupted::check_elf_issues(): Return immediately if file is
    no ELF file. Thanks to Corvin Köhne via MR !486.
  * L::Data: Rename one usage of $releases to $stylesheets. (Fixes copy
    and paste error.)
  * L::Data: lintian.d.o no more exists, so don't fetch files from there.
  * Add minimal test for "@recommends@" from !464 to "testsuite-general".
  * Salsa CI: Drop backports to bullseye (oldstable): Testsuite requires a
    newer debhelper version than available in bullseye-backports.
  * private/generate-tag-summary --in-place: Avoid mojibake by not
    double-encoding UTF-8.

  [ Andreas Beckmann ]
  * dh_dkms is now provided by dh-dkms instead of dkms. (See #1013417)

  [ Simon McVittie ]
  * Add test coverage for #1027744.
  * Treat man pages as optional for executables in /usr/libexec/.
  * Add test asserting that man pages are not required for libexec binaries.
  * obsolete-packages: Report gnome-common as obsolete.
  * tags: Raise typelib-not-in-multiarch-directory to warning level.

  [ Guido Günther ]
  * Add byzantium and octarine as known PureOS distributions.

  [ Hideki Yamane ]
  * Disable BLHC and BUILD_PACKAGE_ANY in debian/salsa-ci.yml.

  [ Simon Quigley ]
  * Add "mantic" and "noble" as a known Ubuntu distributions.

  [ Nilesh Patra ]
  * Make lintian recognize fasttrack as a dist.
  * Update known dists and oldstable epoch. (Closes: #1033894)
  * autopkgtest fix: Update badnocredit.raw for updated Adobe license tag
    check.
  * Fix rootless-builds.txt location in lintian tags. (Closes: #1051538)
  * Don't check for "RECORD" in .dist-info, they are now always excluded.

  [ Bastien Roucariès ]
  * Detect embedded yajl and libzstd.
  * Add lodash for embedded JavaScript library.
  * Add node-pako as embedded library.
  * Improve detection of node-pako.
  * Add node-jzip-utils for detection of embedded JavaScript.
  * Detect node-jzip as embedded JavaScript
  * Add a punycode and codemirror JavaScript library.
  * Remove "salsaci" suffix for length test.

  [ James Addison ]
  * Fix license-problem-font-adobe-copyrighted-fragment-no-credit.

  [ Paul Wise ]
  * Add 01.org to the list of obsolete domains.

  [ Shengjing Zhu ]
  * Adapt testsuite to groff 1.23 warning message. (Closes: #1042049)

  [ Thompson, Brian ]
  * Make SVG graphs more understandable by adding the tag name.

  [ Agathe Porte ]
  * Add missing closing parens in invalid-field-for-derivative.tag.

  [ Benjamin Drung ]
  * Exclude not-binnmuable-* tags in ubuntu/main profile. (LP: #2026208)

  [ Sebastian Crane ]
  * Detect recent versions of the Lua interpreter.

  [ Gioele Barabucci ]
  * Remove obsolete tag
    "package-supports-alternative-init-but-no-init.d-script".

  [ Louis-Philippe Véronneau ]
  * missing-prerequisite-for-pyproject-backend: add support for meson.
  * missing-prerequisite-for-pyproject-backend: add support for sipbuild.

  [ Jiajie Chen ]
  * arch-regex: Add loong64 support.

  [ Alexandre Detiste ]
  * obsolete-packages: Add "pkg-config => pkgconf".

  [ Richard Lewis ]
  * Add *~ to ".gitignore".
  * Fix exit code when --show-overrides is given and an 'error' tag is
    overridden. Also add a test for it. (Closes: #1019690)
  * Update testsuite documentation.

  [ Emilio Pozuelo Monfort ]
  * Don't emit source-nmu-has-incorrect-version-number for stable updates.
    (Closes: #1022759)

  [ Valentin Vidic ]
  * Allow @recommends@ as autopkgtest dependency.

 -- Axel Beckert <abe@debian.org>  Mon, 05 Feb 2024 21:58:11 +0100

lintian (2.116.3ubuntu4) noble; urgency=medium

  * Add "noble" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Oct 2023 12:04:15 -0500

lintian (2.116.3ubuntu3) mantic; urgency=medium

  * Adapt groff 1.23 warning message (LP: #2036881).

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 21 Sep 2023 15:22:08 +0800

lintian (2.116.3ubuntu2) mantic; urgency=medium

  * Add "mantic" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Apr 2023 16:06:49 -0500

lintian (2.116.3ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 09 Feb 2023 18:39:23 -0600

lintian (2.116.3) unstable; urgency=medium

  The "FFP3 (Fixing False Positives, Three Small Changes)" Release.

  [ Axel Beckert ]
  * Refresh data. (Loong64 removed from two lists, some fonts and dh_cruft
    added.)

  [ Simon McVittie ]
  * obsolete-packages: libegl1-mesa-dev is not obsolete.

  [ Andreas Beckmann ]
  * archive-liberty-mismatch: Add exception for 'non-free-firmware binary
    package build from non-free source package'. (Closes: #1030325)

 -- Axel Beckert <abe@debian.org>  Sun, 05 Feb 2023 09:10:20 +0100

lintian (2.116.2ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 29 Jan 2023 14:00:59 -0600

lintian (2.116.2) unstable; urgency=medium

  The "FFP2 (Fixing False Positives, too)" Release.

  [ Axel Beckert ]
  * Add private script to automate post release version bump.
  * Fix typo in previous debian/changelog entry. Thanks Lintian! ;-)
  * Mention that #1024039 got closed by 2.116.1 in its changelog entry.
  * [Testsuite] Check tag files and docs with spellintian. Thanks to
    Sylvestre Ledru for noticing the typos this check now finds.
  * Fix duplicate words and one more typo found by
    spellintian-textual-content.t.
  * "currectly" can be a misspelling of "correctly" or "currently"
  * Fix spellintian false positives found by spellintian-textual-content.t:
    + "these package" followed by a plural, e.g. "these package sections",
    + Double word with closing parenthesis inbetween. (So far only opening
      parentheses were whitelisted.)
  * Add testsuite check for missing-pkg-php-tools-addon false positive
    with dh-sequence-phpcomposer. (See MR !438.)
  * Add testsuite check for a vcs-field-has-unexpected-spaces false
    positive. (See #1023155 and MR !422.)
  * debian-rules-uses-unnecessary-dh-argument: Also report found and
    minimum dh compat level. Additionally also rephrase tag description to
    no more say "this debhelper compatibility level". Thanks to Anthony
    Fok for making us aware of the issue in MR !451.

  [ Cyril Brulebois ]
  * Teach the is_non_free attribute about the non-free-firmware section.
  * Stop checking for Standards-Version for installer-only (i.e. udeb)
    packages. (Closes: #991533)

  [ Andreas Beckmann ]
  * backports-upload-has-incorrect-version-number: Fix salsaci version
    regexp again.  (Closes: #1024361)

  [ Sylvestre Ledru ]
  * Fix some typos in the doc.

  [ William Desportes ]
  * missing-pkg-php-tools-addon: Allow dh-sequence-phpcomposer as
    alternative to pkg-php-tools-addon.
  * Lintian::Check::Files::SourceMissing: Ignore files in
    debian/missing-sources/. Fixes false positives in source-is-missing,
    source-contains-prebuilt-javascript-object and friends.

  [ Tino Didriksen ]
  * vcs-field-has-unexpected-spaces: Allow any order of git branch and
    path. (Closes: #1023155) Thanks to Bradford D. Boyle for the bug
    report.

  [ Johannes Schauer Marin Rodrigues ]
  * Multiarch terminology: Use "qualifier" instead of "acceptor": Update
    tag descriptions of rules-require-build-prerequisite and
    missing-build-depends-for-clean-target-in-debian-rules. Also rename
    method multiarch_acceptor() to multiarch_qualifier() in
    Lintian::Relation::Predicate.

 -- Axel Beckert <abe@debian.org>  Sun, 29 Jan 2023 09:32:16 +0100

lintian (2.116.1ubuntu3) lunar; urgency=medium

  * Fix test failures:
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 23 Jan 2023 13:33:27 -0600

lintian (2.116.1ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 23 Jan 2023 10:55:33 -0600

lintian (2.116.1) unstable; urgency=medium

  The "No More Neglected Autopkgtest Architectures" Release.

  [ Axel Beckert ]
  * bitbucket.org no more supports Mercurial.
  * [Testsuite] Fix armhf+i386-only test binaries-missing-lfs. Should fix
    autopkgtest on these architectures.
  * unknown-section description: Factorize explanations to avoid
    repetitions as suggested by Cyril Brulebois. (See also below.)
  * Fix remaining i386 testsuite issues due to missing brackets.
  * Don't emit inconsistent-appstream-metadata-license with "MIT !=
    Expat". (Closes: #1029055)
  * Update Lintian User's Manual for pointed hints in tags and overrides.
    Thanks to Soren Stoutner. (Closes: #1029177)
  * Whitelist Autobuild, Go-Import-Path, and Ruby-Versions from
    unknown-field. (Closes: #1014885)
  * Don't emit spare-manual-page for binaries in /usr/libexec/.
    (Closes: #1027744)
  * Refresh static data.
  * data/java/constants: Default is now Java17, versions available up to
    Java21. (Closes: #1024039)

  [ Cyril Brulebois ]
  * Add non-free-firmware to known archive areas.

  [ William Desportes ]
  * Fix lintian package-contains-documentation-outside-usr-share-doc
    matches python files and robots.txt. (Closes: #997987, #976636)
  * Add more typo fixes.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Jan 2023 03:32:04 +0100

lintian (2.116.0ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Jan 2023 18:27:11 -0600

lintian (2.116.0) unstable; urgency=medium

  The "Crowd Merging" Release.

  * Summary of tag changes:
    + Added:
      - dbus-policy-in-etc
      - homepage-github-url-ends-with-dot-git
      - homepage-gitlab-url-ends-with-dot-git
      - homepage-salsa-url-ends-with-dot-git
      - uses-pdm-cli
      - uses-python-distutils
    + Removed:
      - init.d-script-needs-depends-on-lsb-base
      - old-dpmt-vcs
      - old-papt-vcs
      - python-teams-merged

  [ Sebastian Ramacher ]
  * Revert "Turn embedded-library into a classification tag. (Closes:
    #932634)". The tag embedded-library is used by FTP masters for
    automatic rejects.  So let's revert this change. First, #932634 has
    seen no coordination with FTP masters. Second, it confuses developers
    when their packages get rejected for tags that are not emitted
    locally.

  [ Simon McVittie ]
  * obsolete-packages: Add some more transitional packages.
  * desktop/dbus: Check for dbus policy files installed into /etc/.
    (Closes: #1006631)
  * Don't emit very-long-line-length-in-source-file for REUSE licenses.
    (Closes: #1013314)

  [ Bastien Roucariès ]
  * Run test suite at build time except on Salsa.
  * Fix warning: cannot run debian/readme check on
    package binary:postgresql-15_15~beta2-2+salsaci_amd64
    (Closes: #1014175)
  * Refresh data.
  * L…/C…/Files/PrivacyBreach.pm: Run lc in sliding windows block.

  [ Axel Beckert ]
  * data/spelling/corrections: Remove valid word "licence".
  * Fix typos and add missing changelog items in 2.115.3 release.
  * .gitignore: Also ignore debian/*.debhelper files and drop wrong
    trailing slash for doc/lintian.html.
  * private/refresh-virtual-packages-data: Replace "egrep" with "grep -E".
  * Replace "egrep" and "fgrep" in all test suite dummy packages with "grep
    -E/-F".
  * Add build-dependencies of the test suite.
  * Fix test broken by dpatch removal.
  * Fix test broken by updating the list of virtual packages.
  * Extend spellintian.t to check all listed misspellings against dictionaries.
    Add test suite build dependencies on liblist-someutils-perl, wamerican
    and wbritish. (Closes: #1019541)
  * Make spellintian.t to use the installed corrections list under autopkgtest.
  * t/scripts/tags/fields.t: Allow running with just "prove -l".
  * Remove spelling corrections which are valid words and now caught by
    the new spellintian.t check against English dictionaries.
    (Closes: #1019235)
  * Remove valid word "tye" from data/spelling/corrections.
  * Remove spelling correction for "curren", it's a valid HTML entity.
  * Refresh data: Adds Debian Policy 4.6.2 and Loong64 architectures among
    other things.
  * Declare compliance with Debian Policy 4.6.2.
  * Make test for generate-tag-summary more precise and properly cover all
    cases.
  * out-of-date-/newer-standards-version: Only output the significant
    digits of the current policy version.
  * Salsa CI: Override the lintian version being used to the just built
    version.
  * Extend desc-fields.t to only accept known field names, see #1025868.
  * Fix singular vs plural field name typo. (Fixes ½ of #1025868)
  * debian/copyright: Bump my copyright years to 2023.
  * Make "lintian --version" emit versions unique per commit if run from a
    git checkout.
  * Fix read error with libpath-tiny-perl ≥ 0.142 if debian/templates is a
    directory. Thanks to Salvatore Bonaccorso and src:linux. :-)
  * Fix arm64 autopkgtest by using a shell script as example instead of a
    compiled C binary for testing bin-sbin-mismatch. Also fix that so far
    on other architectures there was a bin-sbin-mismatch false negative
    accepted by the test suite while the true positive on arm64 hadn't
    been accepted by the test suite. (Closes: #1025868)
  * inconsistent-appstream-metadata-license:
    + Versions with trailing ".0" are equivalent to versions without
      (Closes: #1002053)
    + Normalize comparison (-or-later/+, -only suffix)
    + Tag description: Text improvements; add direct reference to
      AppStream metadata_license tag specification. (Closes: #1014956)
  * Unpack orig.tar: Ignore warnings about tar ignoring tar ball
    peculiarities. (Closes: #1028975)
  * Fix error with Path::Tiny ≥ 0.142 when searching for upstream
    signatures. (Closes: #1028274)
  * license-problem-php-license: Also refer to
    https://ftp-master.debian.org/php-license.html
  * Delete dangling symlink reporting/harness. (Closes: 1027323)
  * spellintian.t: Make sure that no bad spelling is used as good spelling
    of another bad spelling. Prompted by #1027399. Add build-dependency on
    "libarray-utils-perl <!nocheck>" and autopkgtest dependency for that.
  * Fix bad spellings that were used as good spelling for another bad
    spelling. (Closes: #1027399)
  * Do not emit executable-stack-in-shared-library on MIPS architectures
    for now. (Closes: #1025436, see also #1022787)
  * run-private-scripts.t:
    + Do not run auto-reject-diff as it requires network access.
    + Skip generate-tag-summary without git.
    Thanks Louis-Philippe Véronneau!

  [ Akbarkhon Variskhanov ]
  * debian/control: Bump Standards-Version in Description.

  [ Simon Quigley ]
  * Add "lunar" as a known Ubuntu distribution.

  [ billchenchina ]
  * README.md: use zless for lintian.txt.gz.

  [ Philip Hands ]
  * Accept bpo...+salsaci versions. (Closes: #1024361)

  [ Aurélien COUDERC ]
  * Add SingleMainWindow to known-desktop-keys.

  [ Johannes Schauer Marin Rodrigues ]
  * transitional-package-not-oldlibs-optional: Developer reference section
    6.7.7 is now 6.8.7.
  * Remove init.d-script-needs-depends-on-lsb-base and add lsb-base to
    obsolete-packages. (Closes: #1019851)

  [ Louis-Philippe Véronneau ]
  * missing-prerequisite-for-pyproject-backend: Add support for
    pdm-pep517.
  * uses-pdm-cli: Create new tag.
  * Fix false-positive for missing-build-dependency-for-dh-addon when
    using dh-sequence-python3. (Closes: #1016147)
  * Add new tag 'uses-python-distutils' to warn people of the Python
    distutils deprecation.
  * Remove tag 'python-teams-merged', as this transition has been done and
    no package in the archive raises it anymore.
  * Remove tags 'old-dpmt/papt-vcs', as this transition has been done and
    no package in the archive raises them anymore.
  * Rework the 'package-is-team-maintained' tag.
  * Mark 'very-long-line-length-in-source-file' as experimental, because
    of the high number of false-positives.
  * Update known autopkgtest restrictions to add 'needs-sudo'.
  * Mark the 'update-debian-copyright' tag as experimental.
    (Closes: #1025644)
  * Fix false-positive for missing-prerequisite-for-pyproject-backend when
    the backend is specified as a Build-Depends-Indep. (Closes: #1025164)
  * missing-prerequisite-for-pyproject-backend: Add support for hatchling.
  * Add 'autopkgtest-pkg-pybuild' as known autopkgtest testsuite.
  * Make sure pybuild-plugin-pyproject is registered as a valid
    prerequisite for dh-python3.

  [ Edward Betts ]
  * spelling: Add a correction.
  * dh-sequence-vim-addon pulls in dh-vim-addon.
  * GitHub, GitLab and Salsa URLs shouldn't end with ".git" in Homepage
    header.

  [ Fatih Altun ]
  * Add "yirmiuc" as a known Pardus distribution.

  [ William Desportes ]
  * data: Register .{dbf,shp,shx,sbx,sbn,qix} ESRI file extensions.
  * Fix false positive for license-problem-php-license for pear.php.net
    source code.

  [ Luca Boccassi ]
  * missing-systemd-service-for-init.d-script: Mention future deprecation
    of generator.

  [ Christoph Biedl ]
  * Lintian::Index::FileTypes: Call "file" with "--raw" to unbreak test
    suite with file/libmagic ≥ 5.42. (Closes: #1026920)

 -- Axel Beckert <abe@debian.org>  Tue, 17 Jan 2023 01:37:56 +0100

lintian (2.115.3ubuntu3) lunar; urgency=medium

  * Welcome to the Lunar Lobster!
    - Merge request: https://salsa.debian.org/lintian/lintian/-/merge_requests/421

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Oct 2022 13:35:20 -0500

lintian (2.115.3ubuntu2) kinetic; urgency=medium

  * Explicitly prefer lzip in Ubuntu, not plzip

 -- Steve Langasek <vorlon@debian.org>  Fri, 23 Sep 2022 22:20:36 +0000

lintian (2.115.3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120)
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb package that supports zst. (LP: #1923845)
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989)
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
  * Dropped changes, included in Debian:
    - Remove the libio-prompt-tiny-perl dependency as it isn't
      used in any Perl file in the final package (LP: #1959004)
    - Add libio-prompt-tiny-perl dependency to test, otherwise autopkgtests
      fails.

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 01 Sep 2022 06:20:15 +0000

lintian (2.115.3) unstable; urgency=medium

  The "RPB (Restore Previous Behavior)" Release.

  [ Gioele Barabucci ]
  * experimental-to-unstable-without-comment: Fix regex (Closes: #101387)

  [ Axel Beckert ]
  * Recognise many more binary file type suffixes (Closes: #1014156)

  [ Guillem Jover ]
  * Add pedantic hint for OpenPGP files named after
    specific implementations
  * Add more extensions for OpenPGP files
  * In the US "cancelation" is a valid spelling of "cancellation"
  * Rename debian-watch-does-not-check-gpg-signature
    tag to say openpgp
  * Fix --fail-on to revert to original default on error
    (Closes: #995492)

  [ Francois-Xavier Le Bail ]
  * spelling: Add several corrections.

  [ Bastien Roucariès ]
  * Restore sliding windows (Closes: #993613)
  * Add myself as uploaders

  * Summary of tag changes:
    + Added:
      - debian-watch-does-not-check-openpgp-signature
      - openpgp-file-has-implementation-specific-extension
    + Removed:
      - debian-watch-does-not-check-gpg-signature

 -- Bastien Roucariès <rouca@debian.org>  Sun, 28 Aug 2022 08:31:41 +0000

lintian (2.115.2) unstable; urgency=medium

  The "FFP (Fixing False Positives)" Release.

  [ Axel Beckert ]
  * Automate importing of Debian archive sections. Thanks to Andrius
    Merkys. (Closes: #973308)
  * Make more testsuite scripts being able to simply run under "prove -l".
  * Move libio-prompt-tiny-perl dependency to debian/tests/control.
    Cherry-picked from Ubuntu's patches. (LP: #1959004)
  * Recognise Mac OS X icons (.icns), SQLite files (.sqlite and .sqlite3)
    and PDF (.pdf) documents as binary files.
  * Allow HTML files in /usr/share/gtk-doc/html/. (Closes: #970275)
    Thanks to Simon McVittie, Daniel Kahn Gillmor and Unit193!
  * Refresh (fonts) data.
  * Also check dh level for missing-build-dependency-for-dh-addon, not
    just for missing-build-dependency-for-dh_-command. (Closes: #1000610)
  * Retroactively mention commit fcaded19 in debian/changelog entry of
    2.115.0 as it was erroneously marked with "Gbp-Dch: Ignore".

  [ Guillem Jover ]
  * data/fields/name_section_mappings: Add golang section (Closes:
    #880701)

  [ Rafael Laboissière ]
  * Ignore files /var/lib/ocaml/lintian/*.info in test for
    package-contains-documentation-outside-usr-share-doc (Closes:
    #1009679)

 -- Axel Beckert <abe@debian.org>  Wed, 29 Jun 2022 02:56:42 +0200

lintian (2.115.1ubuntu1) kinetic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120)
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb package that supports zst. (LP: #1923845)
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989)
    - Remove the libio-prompt-tiny-perl dependency as it isn't
      used in any Perl file in the final package (LP: #1959004)
    - Add libio-prompt-tiny-perl dependency to test, otherwise autopkgtests
      fails.
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - Dropped changes:
      + Add "kinetic" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 26 Jun 2022 22:38:12 -0500

lintian (2.115.1) unstable; urgency=medium

  The "Things we never tested" Release.

  [ Axel Beckert ]
  * Write a test which catches run-time errors of lightweight private
    scripts. Triggered by libconfig-model-dpkg-perl's autopkgtest failure
    since it runs private/latest-policy-version and failed.
  * Fix private/latest-policy-version: $p…->policy_releases →
    $p…->data->policy_releases. Seems to have been forgotten when
    policy_releases() moved from Lintian::Profile to Lintian::Data.
    Should fix libconfig-model-dpkg-perl's autopkgtest failure.
  * Fix documentation of Lintian::Data->new().
  * Switch all GPL URLs in boilerplates and debian/copyright to HTTPS.
  * Add a debian/duck-override file with some false positives. Lintian is
    now also DUCK-clean!

  [ Simon McVittie ]
  * data: Register *.xcf as binary files

 -- Axel Beckert <abe@debian.org>  Tue, 21 Jun 2022 20:53:27 +0200

lintian (2.115.0) unstable; urgency=medium

  The Lintian Resurrection Release.

  * Summary of tag changes:
    + Added:
      - alien-tag
      - chown-with-dot
      - conflicting-test-fields
      - declare-python-versions-for-test
      - drop-python-version-declaration
      - invalid-override-restriction
      - missing-prerequisite-for-pyproject-backend
      - old-devhelp-standard
      - stray-devhelp-documentation
      - test-leaves-python-version-untested
      - uses-poetry-cli
    + Removed:
      - crossing-screens
      - debhelper-compatibility-level-not-a-number
      - debian-tests-control-and-control-autodep8
      - exclusive-runtime-tests-field
      - package-contains-devhelp-file-without-symlink

  [ Axel Beckert ]
  * Adopting Lintian. (Changes #1012289 from ITA to pure RFH.)
    + Remove Chris Lamb from Uploaders (see #1012289) and re-add myself.
  * Workarounds until
    https://github.com/Perl-Critic/Perl-Critic/issues/925 is fixed:
    + Replace all occurrences of "Copyright ©" with "Copyright (C)" again.
    + Remove unnecessary usage of UTF-8 from bin/lintian.
    + Replace UTF-8 characters in mostly Copyright comments.
    + Replace UTF-8 characters in code with \N{…}.
  * Remove literal unicode character U+0334 COMBINING TILDE OVERLAY which
    likely had been added accidentally. (Triggered by the symptoms of
    https://github.com/Perl-Critic/Perl-Critic/issues/925, but permanent.)
  * Update copyright years in debian/copyright.
  * Run perltidy over lib, bin/lintian, private/refresh-perl-provides,
    private/runtests and several files in t/scripts/.
  * data/…/perl-provides updated by running "debian/rules
    refresh-perl-provides".
  * Add Felix Lechner to debian/copyright based on copyright statements
    elsewhere. Thanks for all your contributions!
  * Update t/recipes/README: "debian/rules runtests" → "private/runtests"
  * Follow module renaming: Perl::Critic::Freenode → Perl::…::Community.
  * t/s…/h…/tag-coverage.t: Replace "$ENV{'LINTIAN_BASE'}" with
    "$ENV{'LINTIAN_BASE'} // '.'" to be able to run it with "prove -l".
  * init.d-general check: Avoid relying on line numbers in #DEBHELPER#
    replacement code.
  * very-long-line-length-in-source-file: Ignore files listed in new data
    file binary-file-extensions. (Closes: #1005046)
  * Fix false positives for adopted-extended-field with X- prefixed
    fields. (Closes: #999768)
    + Empty hints files seem to require a Test-Against field in desc.
  * Update own source lintian-overrides for "pointed hints".
    + Make them work with old and new lintian versions by using wildcards.
  * Rename README.developers to have a proper file suffix (.pod).
  * Switch syntax marker of README.developers.pod from "perl" to "pod".
  * Documentation update: Replace directory "frontend/" with "bin/".
  * Fix a bunch of "Use of uninitialized value $_ in concatenation"
    warnings when running tests with "prove -l" directly.
  * README.developers.pod: Explain the difference between check and test.
  * lintian(1): Drop mentioning of never existing --no-overrides option.
  * Replace unfitting Text::Glob with more flexible Regexp::Wildcards
    (Closes: #1003353)
    + Add unit test for Lintian::Util::match_glob. The current testsuite
      does not seem to be able to cover such a case.
  * Declare compliance with Debian Policy 4.6.1. (No changes needed.)
  * Refresh data using private/refresh-data. Skip unreleased policy though
    for now.
  * Fix "Use of uninitialized value $step in concatenation" in
    Lintian::Version which showed up as unrecognized tag (!) when running
    the test suite on the git repo already tagged for a release.
  * debian/gbp.conf: Declare so far used tag format so that gbp uses it.
  * Add lintian override for very-long-line-length-in-source-file in
    Lintian::Check::Cruft as well as test-leaves-python-version-untested.
  * Use versioned Breaks instead of Conflicts against lzd, see #1001655.
    Thanks Lintian for reporting ;-) and Paul Gevers for the sanity check!

  [ Felix Lechner ]
  * Refresh manual references.
  * Use Text::Glob to match hint contexts with override patterns. Replaces
    a trusted homegrown routine. (Closes: #1003272)
  * Refresh list of available Debhelper commands.
  * Refresh list of installable fonts.
  * Generate section references for Lintian manual from repo; point to
    website.
  * Accept globbing patterns in profiles when enabling and disabling
    checks or tags.
  * Refresh data sources in parallel.
  * Add the New Maintainer's Guide to the list of quotable authorities.
  * Eliminate unpredictable output in the check siles/privacy-breach.
  * Honor the environment variable NO_COLOR as specified in
    https://no-color.org/.
  * More attempts to eliminate unpredictable output in the check
    files/privacy-breach.
  * Drop the tag debian-tests-control-and-control-autodep8.
  * Set authority references apart from other data sources.
  * Provide rudimentary Emacs integration. (See: #968758)
  * Associate Emacs modules with the 'editors' archive section.
  * Recognize /usr/bin/raku as a known interpreter for scripts. (Closes:
    #1002828)
  * Do not depend on any particular Lzip implementation. (Closes:
    #1001655)
  * Exempt installables designated as documentation from warning about new
    Python2 packages. (Closes: #995286)
  * Update citations in two tags. (Closes: #1003131)
  * Drop version requirement from
    skip-systemd-native-flag-missing-pre-depends. (See: #1003271)
  * Import new CSS style sheet from the website.
  * Recognize dh-sequence-sphinxdoc as a valid prerequisite for
    dh_sphinxdoc. (Closes: #999810)
  * Tolerate multiarch acceptors in prerequisites for Debhelper commands
    and addons. (Closes: #1000234)
  * Issue yet more pointed hints.
  * Recognize pybuild-plugin-pyproject as a valid prerequisite for the
    python3 Debhelper plugin. (Closes: #1003668)
  * Exempt bullseye backports from changelog-file-missing-explicit-entry.
    (Closes: #941656)
  * Mask long source lines in autotools-generated files. (Closes: #996740)
  * Turn embedded-library into a classification tag. (Closes: #932634)
  * Require the targets build-arch and build-indep in debian/rules.
    (Closes: #657390)
  * Do not insist on a particular name for unversioned links to a shared
    library. (Closes: #963099)
  * Exempt the names of Debian folks associated with a package from
    spelling checks. (Closes: #989381)
  * Require py3version invocation consistent with presence of
    X-Python3-Version in d/control. (See: #1001677)
  * Exempt CGI scripts from executable-in-usr-lib. (Closes: #1003941)
  * CGI scripts can be ELF executables. (See: #1003941)
  * Exempt Python's .dist-info and .egg-info folders everywhere from
    documentation-outside-usr-share. (Closes: #1003913)
  * Flag an outdated Debian copyright just once; use the most recent
    year. (Closes: #1003817)
  * Implement '--no-show-overrides'; honor it for overrides and masks
    alike. (See: #1004240)
  * Allow the command-line option '--no-info' to reverse 'info=yes' in the
    configuration file. (Closes: #1004240)
  * Elide manual references to ancient Lintian versions; use modern
    examples. (Closes: #1004231)
  * Deprecate --no-tag-display-limit for '--tag-display-limit 0'; update
    documentation. (Closes: #1004239)
  * Also provide a default output width for
    lintian-annotate-hints. (Closes: #1004660)
  * Mask examples in tests from
    package-does-not-install-examples. (Closes: #1005184)
  * Recognize Java 18 in unstable, and Java 19 as otherwise
    available. (Closes: #1005762)
  * Leave default Java bytecode version at 56. (See: #1005762)
  * Adjust documentation reference to manual page for dh_make. (Closes:
    #1006390)
  * Warn about devhelp index files that use version 1. (Closes: #1006859)
  * Store ELF information from readelf in an MLDBM database. (Closes:
    #1003456)
  * Issue pedantic hint for dot in 'chown user.group' instead of a
    colon. (Closes: #1007140)
  * Upgrade missing-systemd-timer-for-cron-script to warning; no longer
    experimental. (Closes: #1007257)
  * Read locale codes directly from /usr/share/locale/json/. Add
    dependency on iso-codes for that.

  [ Ryan Finnie ]
  * Provide a constant citation for
    systemd-service-file-uses-nobody-or-nogroup. (Closes: !385)

  [ Louis-Philippe Véronneau ]
  * Check that tests pulling in all Python versions also query which ones
    are available. (Closes: !361)
  * Add new Python tags for pyproject.toml build backends according to
    PEP-517. (Closes: !384)
  * Rename 'python3-flit' to 'flit', as there is no 'python3-flit'
    package. (Closes: !386)

  [ Daniel Kahn Gillmor ]
  * Correct lintian-annotate-hints manpage.

  [ Simon McVittie ]
  * Silence a very widespread false positive for detached debug symbols.
    (Closes: #1000977, !387)

  [ Simon Quigley ]
  * Add "kinetic" as a known Ubuntu distribution. (Closes: !392)

  [ xiao sheng wen(肖盛文) ]
  * Add riscv64 support (Closes: #1012090, !394)

  [ Damyan Ivanov ]
  * Update releases.json data for Debian policy releases (4.6.1 added;
    closes: !393)

  [ Paul Wise ]
  * Add more obsolete domains for former source code hosting services.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jun 2022 13:23:02 +0200

lintian (2.114.0ubuntu2) kinetic; urgency=medium

  * Add "kinetic" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 29 Apr 2022 03:57:29 -0500

lintian (2.114.0ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1957100). Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120)
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb package that supports zst. (LP: #1923845)
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989)
    - Remove the libio-prompt-tiny-perl dependency as it isn't
      used in any Perl file in the final package (LP: #1959004)
  * Add libio-prompt-tiny-perl dependency to test, otherwise autopkgtests
    fails.
  * Add -fPIC ld flags to
    checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi/

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Tue, 22 Feb 2022 13:44:59 +0100

lintian (2.114.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Issue no-code-sections only for entire archives that contain no code
    sections at all. (Closes: #1000469)
  * Provide better file pointers for defective override files.
    (Closes: #1000494)
  * In the refresh script fetching font data, use the new Contents-all.gz
    file served by the Debian archive.
  * Refresh fonts data using new script and record all installables in
    which font is shipped.
  * Refresh Debhelper add-ons and commands and recognize click and
    dh_click from click-dev.

  [ Rafael Laboissière ]
  * Stop checking for bash-centric terms after 'exec' in shell scripts.
    (Closes: #999756)

 -- Chris Lamb <lamby@debian.org>  Sat, 27 Nov 2021 17:20:56 +0000

lintian (2.113.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - anticipated-repack-count
      - dfsg-version-with-tilde
      - dot-before-repack-count
      - elf-error
      - elf-warning
      - no-code-sections
      - static-link-time-optimization
    + Removed:
      - apparently-corrupted-elf-binary

  [ Felix Lechner ]
  * Bump the maximum plausible bug number to 1,500,000. (Closes: #1000148)
  * Flag static archives without code sections, as can happen with LTO
    objects. (Closes: #977596)
  * Flag use of link-time-optimization (LTO) in static archives.
    (Closes: #963057)
  * Exempt Coq's cmxs files from the shared-library-lacks-prerequisites
    tag. (Closes: #999602)
  * Accommodate dune's file names for the bytecode in OCaml interfaces.
    (Closes: #999601)
  * Drop 'type' from the list of bash-centric expressions.
    (Closes: #999878)
  * Fix CI failure on armhf due to a parsing failure of readelf output.
  * Adjust refresh script fetching debhelper data for the new
    Contents-all.gz served by archive.
  * Refresh debhelper data.

  [ Kentaro Hayashi ]
  * Add the dfsg-version-with-tilde tag, as opposed to a plus.
  * Add a new tag about a possibly unnecessary repack count for upstream
    sources.
  * Add a tag about source versions with a dot before the repack count.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Nov 2021 16:43:03 +0000

lintian (2.112.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - add-component-copyright
      - adopted-extended-field
      - archive-liberty-mismatch
      - build-prerequisite-in-installable-section
      - circular-installation-prerequisite
      - composer-prerequisite
      - control-file-contains-dh-make-vcs-comment
      - installable-field-mirrors-source
      - invalid-systemd-documentation
      - kill-mode-none
      - no-source-section
      - prefer-uscan-symlink
      - redundant-installation-prerequisite
      - relative-library-search-path
      - rules-do-not-require-root
      - rules-require-root-explicitly
      - unicode-trojan
      - update-debian-copyright
      - upstream-metadata
    + Removed:
      - binary-control-field-duplicates-source
      - build-info-in-binary-control-file-section
      - control-file-contains-dh_make-vcs-comment
      - package-depends-on-itself
      - rules-does-not-require-root
      - rules-requires-root-explicitly
      - section-area-mismatch
      - stronger-dependency-implies-weaker
      - upstream-metadata-field-present
      - xc-package-type-in-debian-control
      - xs-testsuite-field-in-debian-control
      - xs-vcs-field-in-debian-control

  [ Felix Lechner ]
  * Flag potential 'trojan' Unicode codepoints.
  * In debian/watch, suggest the use of 'USCAN_SYMLINK=rename' when
    'filenamemangle' is present.
  * Add field content to and rename old tag to 'upstream-metadata'.
    (Closes: #993813)
  * Find invalid URIs for Documentation in systemd .service files.
    (Closes: #980447)
  * Flag 'KillMode=none' in systemd service files. (Closes: #978048)
  * Flag outdated copyright years for debian files relative to latest
    changelog entry. (Closes: #949201)
  * Flag relative RPATHS separately and use a regular tag for absolute
    RPATHS only. (Closes: #732682)
  * Flag missing versions in debian/watch only for files with meaningful
    content. (Closes: #992569)
  * Flag when orig source components are not mentioned by name in
    debian/copyright. (Closes: #915384)
  * Flag sources declaring a package relationship on the PHP composer.
    (Closes: #977150)
  * Fix path to external documentation in tag description.
    (Closes: #999477)
  * Allow the "Description" field in .dsc and in source stanzas of
    debian/control. (Closes: #998115)
  * Re-enable OSC 8 terminal hyperlinks following GCC's lead.

  [ Stephen Kitt ]
  * Calculate game executable permissions correctly.

  [ xiao sheng wen ]
  * Update tags/g/groff-message.tag for LC_ALL=C.UTF-8.

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Nov 2021 15:25:15 +0000

lintian (2.111.0ubuntu3) jammy; urgency=medium

  * Remove the libio-prompt-tiny-perl dependency as it isn't
    used in any Perl file in the final package (LP: #1959004)

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 25 Jan 2022 15:25:15 +0100

lintian (2.111.0ubuntu2) jammy; urgency=medium

  * Add AC_INIT in
    macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
    (LP: #1950989)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 15 Nov 2021 13:09:34 +0100

lintian (2.111.0ubuntu1) jammy; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb. Although we don't
      actually ship udeb package that supports zst. (LP: #1923845)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 11 Nov 2021 05:26:06 -0600

lintian (2.111.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - generated-file

  [ Chris Lamb ]
  * Mention that --with=sphinxdoc (or dh_sphinxdoc) is the easiest way to
    prevent including Sphinx .doctree files in binary packages.

  [ Felix Lechner ]
  * Limit Python dot directories to those starting with a dot.
    (Closes: #997662)
  * Offer classification tag "generated-file" for source files that look
    generated. (Closes: #993662)

  [ Simon Quigley ]
  * Add "jammy" as a known Ubuntu distribution.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Oct 2021 09:03:59 +0000

lintian (2.110.0ubuntu1) jammy; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb. Although we don't
      actually ship udeb package that supports zst. (LP: #1923845)
  * Add "jammy" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 27 Oct 2021 04:01:49 -0500

lintian (2.110.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - bash-term-in-posix-shell

  [ Felix Lechner ]
  * Consider source exemptions for embedded-libraries when no regex is
    present. (Closes: #996684)
  * Accept nodejs:any as a prerequisite for Node.js scripts.
    (Closes: #996710)
  * Fix parsing of debian/symbols files for those with multiple sonames.
    (Closes: #996688)
  * Move the filename-length check to archive/file/name/length.
  * Update release epoch for oldstable in a maintainer scripts check.
  * Drop mention of 'tempfile' from tag descriptions. (Re: #994275)
  * Issue only Lenna-specific tag for known bad Lenna files. (Re: #996093)
  * Disregard long text lines in SVG images.

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Oct 2021 14:18:51 +0000

lintian (2.109.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - redundant-build-prerequisites
      - redundant-control-relation
    + Removed:
      - duplicate-in-relation-field
      - package-has-a-duplicate-build-relation

  [ Felix Lechner ]
  * Do not complain about library sections that do not exist.
    (Closes: #995991)
  * Python :any handling:
    * In tag descriptions, never ask for :any in Python prerequisites.
      (Re: #995498)
    * Fix processing of the :any multiarch acceptor in package
      relationships. (Closes: #995490, #995498)
    * Allow make:any as a prerequisite for using usr/bin/make in scripts.
      (Closes: #994902)
  * Make the condition of a missing interpreter look less like
    a recommendation.
  * Fix non-sensical line lengths in hints from cruft check.
    (Closes: #996111)
  * Add a new Lenna image to the list of banned files. (Closes: #996093)
  * Also allow private folders in lib from custom library search path.
    (Closes: #996270)
  * Clarify in tag descriptions for debian/rules check that hint context is
    not a recommendation. (Closes: #995981)

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Oct 2021 08:01:45 +0000

lintian (2.108.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - odd-static-library-name
      - static-library-has-unneeded-sections
    + Removed:
      - static-library-has-unneeded-section

  [ Felix Lechner ]
  * Report static libraries with "_s.a" suffix in the filename.
    (Closes: #698398)
  * Enable the failing test binaries/binaries-missing-depends-on-numpy-abi
    in autopkgtests.
  * Fix the missing-dependency-on-numpy-abi tag to work with newer Python 3
    versions.
  * Adjust test suite to debhelper reversal of systemd installation paths.
    (Re: #992711, #992465)
  * Provide full path to init scripts in context.

  [ Simon McVittie ]
  * debian/tests: Correct name of python3-all-dev.

  [ David Steele ]
  * Revise a statement that sysvinit support is required.

  [ "Unit 193" ]
  * Preserve DEB_VENDOR as it's used later to set the profile.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Oct 2021 08:36:47 +0000

lintian (2.107.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - architecture-escape
      - control-interpreter-without-predepends
      - ldconfig-escape
      - runtime-test-file-uses-supported-python-versions-without-test-depends
    + Removed:
      - breakout-link
      - preinst-interpreter-without-predepends
      - runtime-test-file-uses-supported-python-versions-without-python-all-build-depends

  [ Felix Lechner ]
  * Repurpose breakout-link; split into two new tags to find a use.
    (Closes: #968525, #971707)
  * Do not expect files in sudoers.d to have standard file permissions.
    (Closes: #995261)
  * Do not flag missing matches for Files-Excluded; uscan already got rid
    of them. (Closes: #994271)
  * Fix documentation for --fails-on command line option. (Closes: #994414)
  * Exempt empty packages so declared from empty-binary-package.
    (Closes: #994711)
  * Allow maintainer manual pages for executables also so provided.
    (Closes: #994689)
  * Only create diffstat when the diff.gz is mentioned in the dsc or the
    changes. (Closes: #994793)
  * Fix minimum version for init-system-helpers in a tag description.
    (Closes: #918137)
  * Be ambivalent between /lib and /usr/lib for systemd service files.
    (See: #992465)
  * Adopt latest style from website for the standalone HTML output often
    shown in Salsa CI.
  * Implement the multiarch selector :any in package relationships.
    (Closes: #994902)

  [ Paul Wise ]
  * Revert "Upgrade superficial-tests tag to warning".

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Oct 2021 08:28:20 +0000

lintian (2.106.1) unstable; urgency=medium

  [ Felix Lechner ]
  * Add Breaks: libconfig-model-dpkg-perl (<< 2.151) to debian/control.
    This avoids blocking testing migration in the Debci infrastructure.
    (See: #968000)
  * Fix an autopkgtest failure on i386 related to the
    shared-libs-non-pic-i386 test.

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Sep 2021 14:05:49 +0000

lintian (2.106.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - file-included-already
      - source-ships-excluded-file
      - superfluous-file-pattern
    + Removed:
      - copyright-excludes-files-in-native-package
      - source-includes-file-in-files-excluded
      - unused-file-paragraph-in-dep5-copyright
      - wildcard-matches-nothing-in-dep5-copyright

  [ Felix Lechner ]
  * Drop recommendation to implement usr-merge for individual packages.
    (Closes: #993955)
  * Use default output width of 80 characters. (Closes: #993908)
  * Issue homepage-in-binary-package only when there is none in the source.
    (Closes: #993975)
  * Implement Files-Included field in DEP-5 copyright files.
    (Closes: #993758)
  * Parse path to source .dsc using a more robust method. (Closes: #994088)

  [ gregor herrmann ]
  * Refresh data/fields/perl-provides.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Sep 2021 09:55:19 +0000

lintian (2.105.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - backgrounded-test-command
      - crossing-screens
      - duplicate-p3dist-override
      - elevated-privileges
      - illegal-variable
      - misplaced-systemd-tmpfiles
      - missing-conffile
      - no-versioned-debhelper-prerequisite
      - nodejs-missing-version-override
      - obsolete-vim-addon-manager
      - pypi-homepage
      - python-traceback-in-manpage
      - ruby-interpreter-is-deprecated
      - rubygem-homepage
      - rules-require-build-prerequisite
      - rust-boilerplate
      - source-contains-editor-backup-file
      - source-contains-patch-failure-file
      - source-contains-quilt-control-dir
      - superficial-tests
      - systemd-service-in-odd-location
      - systemd-tmpfile-in-var-run
      - unexpected-conffile
      - unknown-conffile-instruction
      - unmerged-usr
      - upstream-metadata-field-unknown
      - wrong-team
    + Removed:
      - ancient-standards-version
      - conffile-is-not-in-package
      - missing-build-dependency
      - missing-python-build-dependency
      - octal-permissions
      - package-lacks-versioned-build-depends-on-debhelper
      - package-needs-versioned-debhelper-build-depends
      - setgid-binary
      - setuid-binary
      - setuid-gid-binary
      - systemd-service-file-outside-lib
      - systemd-tmpfiles.d-outside-usr-lib

  [ Chris Lamb ]
  * Check for Python tracebacks in manual pages,  usually caused by failing
    help2man calls (and cause reproducibility issues).
  * Correct confusion between left and right parens that was leading to
    output such as ")2 errors)".
  * Bump Standards-Version to 4.6.0.1.

  [ Felix Lechner ]
  * Implement usr-merge; flag files shipped in /bin, /sbin or /lib.
  * Flag systemd temporary files placed in /var/run. (Closes: #984678)
  * Do not repeat tag name when annotating hints. (Closes: #969398)
  * Refuse to read installable control data in national encodings.
  * Stop shipping modules in system path. (Closes: #968011)
    - Provide a dedicated, non-public executable to obtain the latest
      policy version from Lintian data. (See: #978672)
  * Flag the use of DEB_BUILD_MULTIARCH in some Debian files.
    (Closes: #983219)
  * For team-maintained packages, flag names in another team's name space.
  * Provide a generalized method to grant exemptions to package families
    (screens).
    - Exempt ELPA packaging scripts for Emacs modules from
      executable-in-usr-lib. (Closes: #974175)
    - Exempt GNAT's read-only .ali files from non-standard-file-perm.
      (Closes: #986400)
  * Treat NMU edge cases for non-consecutive-debian-revision.
    (Closes: #942013)
  * Recommend the newer php-markdown over libmarkdown-php when embedded.
    (Closes: #898867)
  * Convert possible-gpl-code-linked-with-openssl to a classification tag.
    (Closes: #972181)
  * Turn maybe-not-arch-all-binnmuable into a classification tag.
  * Combine, rename two confusing debhelper tags. (Closes: #977332)
  * Warn when trying to issue duplicate hints; provide more context to
    disambiguate similar hints.
  * Add --output-width; wrap EWI tag descriptions to width of output
    terminal otherwise.
  * Assume that all interactive terminals are hyperlink-capable, but change
    default to off.
  * Send all debugging and status information to STDERR.
  * Drop support for custom visibility levels in profiles.
  * Prefer spaces over commas as field separators in profiles.
  * Build test packages automatically when running tests.
    (Closes: #927476, #935907)
  * Use semantic versioning for the output of '--version'; omit Git hash
    from Lintian version strings.
  * Refer to new website in output.
  * Update manual references for the first time in almost two years.
  * Update the JSON data file for Debian policy releases; include all up
    to 4.6.0.1.
  * Drop UTF-8 PerlIO layers for STDOUT and STDERR from almost all
    executables and the test suite. (Closes: #972876, #972878)
  * Do not pretend to show hashbang in hint context for unusual
    interpreters. (Closes: #982630)
  * Treat Testsuite field as a comma-separated list for the teams pkg-perl
    and pkg-js. (Closes: #976801)
  * Use current program names in help messages and version announcements.
    (Closes: #977261)
  * Allow tilde in names of installed JAR archives. (Closes: #976681)
  * Flag source packages that declare only tests with the 'superficial'
    restriction. (Closes: #932870)
  * Ignore SIGWINCH in the test suite. (Closes: #974575)
  * For manual pages, extract section information correctly from .TH
    header. (Closes: #962601)
  * Recognize Architecture and Classes as valid fields in d/tests/control.
    (Closes: #977976)
  * Restructure tags for file permissions; combine tags for setuid/setgid
    executables.
  * Detect Rust boilerplate in package descriptions. (See: !344)
  * Do not fail on dangling symlinks when looking for obsolete, missing or
    invalid content. (Closes: #978534)
  * Always print full path to patch files. (Closes: #980247)
  * Tolerate manual pages for subcommands when main command is documented.
    (Closes: #947258)
  * Tighten regex for no-op-testsuite to stop false positives.
    (Closes: #980824)
  * Allow environment prefix when recognizing 'dh' sequencer.
    (Closes: #981712)
  * Ignore build profiles when requiring dh helper for Python
    prerequisites. (Closes: #991242)
  * Ignore build profiles when flagging use of py3versions in d/rules.
    (Closes: #978144)
  * Do not flag Python3 entry point definitions as out-of-place
    documentation. (Closes: #981268)
  * Flag duplicates in d/py3dist-overrides. (Closes: #980987)
  * Flag PyPI homepages in source control files. (Closes: #981932)
  * Flag Rubygem homepages in source control files. (Closes: #981935)
  * Accept the virtual package dh-sequence-dkms as B-D for 'dh
    --with-dkms'. (Closes: #982834)
  * Drop reference to archive keyring from package-installs-apt-sources.
    (Closes: #983598)
  * Read error message from Config::Tiny via the advertised mechanism.
    (Closes: #985064)
  * Add 'utils.h' to the list of overly generic headers. (Closes: #982322)
  * Drop package file names from tag context for unknown-field.
    (Closes: #980560)
  * Flag backgrounded Test-Commands in autopkgtest declarations.
    (Closes: #988591)
  * For multi-component sources, always drop common prefixes for
    sub-components. (Closes: #976643)
  * Accept more than two components in architecture wildcards for package
    relationships. (Closes: #981163)
  * Add Breaks: lintian-brush (<< 0.88) to debian/control due to failing
    autopkgtests.
  * Implement two perltidy policies.
  * Implement 87 perlcritic policies; disregard four others.
  * Ignore special attributes like 'remove-on-upgrade' in DEBIAN/conffiles.
    (Closes: #993531, #993711)
  * Read checks separately from ./lib and ./checks; forego symbolic link.
    (Closes: #993651)

  [ Simon McVittie ]
  * Update lists of registered build-profile names

  [ Paul Wise ]
  * spelling: Add several corrections
  * Upgrade superficial-tests tag to warning

  [ Xavier Guimard ]
  * Verify that nodejs module does not use semantic-release
  * Fix and simplify search when parsing pkg-js-autopkgtest files.
    (Closes: #981279)

  [ Emmanuel Bourg ]
  * Detect obsolete Servlet API 3.1. (See: !348)

  [ Alexandre Rossi ]
  * Recognize empty and very small files as architecture-independent.

  [ Jelmer Vernooĳ ]
  * Fix typo: valgring => valgrind.
  * Fix archive section mapping for rust development packages.
  * Check upstream field names in upstream metadata. (Closes: #969762)

  [ gregor herrmann ]
  * Add another spelling correction.

  [ Victor Westerhuis ]
  * Add --no-rename as a recognized option for dpkg-divert.

  [ Brian Murray ]
  * Recognize Ubuntu's next release, named 'impish', among the known-dists.

  [ Louis-Philippe Véronneau ]
  * Add check for obsolete installation prerequisite vim-addon-manager.

  [ Fatih Altun ]
  * Add profile for Pardus Linux

  [ Antonio Terceiro ]
  * Stop suggesting ruby-interpreter as a prerequisite. (See: !365)
  * Warn about the outdated prerequisite ruby-interpreter. (See: !365)

  [ Peter Pentchev ]
  * Adjust to debhelper's new install location for systemd service files.
    (Closes: #992465)

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Sep 2021 09:43:56 +0000

lintian (2.104.0ubuntu3) impish; urgency=medium

  * Add zst as allowed compression for .deb & .udeb. Although we don't
    actually ship udeb package that supports zst. LP: #1923845

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Jun 2021 10:42:12 +0100

lintian (2.104.0ubuntu2) hirsute; urgency=medium

  * Teach lintian that impish is a valid Ubuntu release. (LP: #1928392)

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 May 2021 14:51:42 -0700

lintian (2.104.0ubuntu1) hirsute; urgency=medium

  * Fix building udebs, now that in Ubuntu noudebs is implied profile. LP:
    #1918120

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Mar 2021 14:09:46 +0000

lintian (2.104.0) unstable; urgency=medium

  [ Baptiste Beauplat ]
    Recognize the recently-released Standards-Version 4.5.1 as a valid
    policy version.

  [ Sylvestre Ledru ]
  * Accept field X-Cargo-Built-Using for installable packages; they are
    used by Rust.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Nov 2020 09:20:48 +0000

lintian (2.103.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - duplicate-override-context

  [ Felix Lechner ]
  * Merge subindices for "orig" sources with multiple tarball components.
    (Closes: #970750, #971597, #972567)
  * Do not try to drop a common prefix from indices when a file of that
    name already exists (Closes: #974820)
  * Ignore dysfunctional output from readelf (for empty archives) and
    undefined version strings in readelf output.
  * Announce names used by the maintainer when flagging overrides for
    renamed tags. (Closes: #972877)
  * Turn off CSS generation in Pod::Simple::HTMLBatch for reprotest.
  * Accept Build-Depends-Packages (plural) as a valid field in symbols
    control files. (Closes: #974971)
  * Use Pod::Simple::XHTML to generate docs (instead of Pod::Simple::HTML).
  * Fix detection of an unwanted prefix for "orig" component tarballs
    without their own folder.
  * Rename repeating segments when dropping common path prefixes from
    indices.
  * Accept renamed tag names in custom profiles. (Closes: #974946)
  * Collapse successive slashes in file paths extracted from tar(1).
  * Update data/fields/perl-provides.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Nov 2020 18:22:40 +0000

lintian (2.102.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - empty-rust-library-declares-provides

  [ Felix Lechner ]
  * Do not flag uninstalled examples unless installation packages are
    present. (Closes: #972614)

  [ Sylvestre Ledru ]
  * Rust libraries hitherto used empty installation packages with long
    Provides lines to deal with peculiarities in Rust packaging. It is no
    longer considered acceptable because it strains the archive
    infrastructure, so flag empty Rust libraries that declare Provides.
  * Provide a tip/clue in case of profile coverage errors.
  * Fix a typo in the CONTRIBUTING.md file.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Nov 2020 09:57:52 +0000

lintian (2.101.0) unstable; urgency=medium

  * Summary of tag changes:
    + Removed:
      - debian-watch-file-declares-multiple-versions
      - debian-watch-file-missing-version
      - debian-watch-file-unknown-version
    + Added:
      - missing-debian-watch-file-standard
      - multiple-debian-watch-file-standards
      - obsolete-debian-watch-file-standard
      - older-debian-watch-file-standard
      - unknown-debian-watch-file-standard

  [ Felix Lechner ]
  * Accept postgresql-all as an additional build prerequisite for the pgxs
    debhelper addon. (Closes: #973503)
  * Declare debian/watch file version 2 obsolete and flag version 3.
    (Closes: #973637)
  * Show full paths for changelog-related tags in installation packages.
  * In lintian-explain-tags, produce valid JSON output for multiple tags.
  * Make JSON output reproducible by removing explicit maintainer field.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Nov 2020 09:22:42 +0000

lintian (2.100.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - bogus-python-prerequisite
      - python2-script-but-no-python2-dep
      - python3-script-but-no-python3-dep
    + Removed:
      - python-script-but-no-python-dep

  [ Felix Lechner ]
  * Update guile versions that are considered valid installation
    prerequisites. (Closes: #973335)
  * Flag bogus Python prerequisites from what-is-python. (Closes: #973011)
  * Fix architecture wildcard logic for override declarations.
    (Closes: #972595)
  * Recognize standard installation path for tcsh as /bin.
    (Closes: #973367)
  * Do not look into quilt's .pc/ folder during source scans.
    (Closes: #971973)
  * Provide a tag HTTP reference that does not change over time.
    (Closes: #973334)
  * Drop unversioned Python references from a number of scripts.
  * Mark testsuite-autopkgtest-missing as the old name for
    missing-tests-control. (Closes: #972844)

  [ Louis-Philippe Véronneau ]
  * Add missing tests for old-dpmt-vcs and old-papt-vcs (and also fix
    package-is-team-maintained).
  * Refresh debhelper data using private/refresh-debhelper-data.

  [ Andrius Merkys ]
  * Update data/fields/archive-sections to
    https://metadata.ftp-master.debian.org/sections.822 (as of 2020-10-28).

  [ Simon Quigley ]
  * Add "hirsute" as a known Ubuntu distribution.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2020 08:49:07 +0000

lintian (2.99.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Update the declares-possibly-conflicting-debhelper-compat-versions tag
    as we could be specifying the level in debian/rules or debian/control.
    (Closes: #972464)

  [ Louis-Philippe Véronneau ]
  * Bump severity of the script-uses-unversioned-python-in-shebang tag and
    reword the warning message.

  [ Felix Lechner ]
  * Fix prefix detection for single orig tarball components that only have
    one directory component.

  [ Paul Wise ]
  * Add several spelling corrections and sort the dictionary.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Oct 2020 09:13:20 +0000

lintian (2.98.0) unstable; urgency=medium

  * Summary of tag changes:
    + Renamed
      - missing-depends-line -> undeclared-elf-prerequisites

  [ Chris Lamb ]
  * Drop reference to missing manual page.

  [ Felix Lechner ]
  * Allow out-of-place documentation for R packages. (Closes: #971740)
  * Recognize virtual package dh-sequence-nodejs as an alternative to
    pkg-js-tools. (Closes: #971656)
  * Reduce read buffer size when duplicating tar stream. (Closes: #971895)
  * Issue python-module-in-wrong-location only once for each module.
  * Rename missing-depends-line to undeclared-elf-prerequisites.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Oct 2020 11:12:52 +0000

lintian (2.97.0) unstable; urgency=medium

  * Summary of tag changes:
    + Renamed:
      - papt-dmpt-merged -> python-teams-merged

  [ Chris Lamb ]
  * Relax checks around looking for the dh(1) sequencer by not looking for
    the preceding "target:\n". (Closes: #970920)
  * Add prominent and up-to-date information on how to run the
    testsuite. (Closes: #923696)
  * Drop Colin Watson and Russ Allbery from Uploaders (last upload 10+
    years ago) with sincere thanks for their past efforts.
  * Run wrap-and-sort -sa.

  [ Louis-Philippe Véronnea ]
  * Rename "papt-dpmt-merged" to "python-teams-merged".
  * Document packages needed to run the testsuite.

  [ Felix Lechner ]
  * Exempt some SNMP MIB-related files from the
    package-contains-documentation-outside-usr-share-doc tag.
    (Closes: #971427)
  * Amend/update documentation for first contributors.

  [ Xavier Guimard ]
  * Update NodeJS checks to accept "dh-sequence-nodejs".

 -- Chris Lamb <lamby@debian.org>  Fri, 02 Oct 2020 09:00:30 +0000

lintian (2.96.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - old-dpmt-vcs
      - old-papt-vcs
      - papt-dmpt-merged
    + Removed:
      - wrong-vcs-location-for-dpmt
      - wrong-vcs-location-for-papt

  [ Chris Lamb ]
  * Update the expected Vcs-{Browser,Git} location of modules and
    applications maintained by the Python module team. (Closes: #970743)

  [ Louis-Philippe Véronneau ]
  * Update DPMT and PAPT VCS tags for new Python Team.
  * Add a new papt-dmpt-merged tag for Debian Python Team Maintainer.

  [ Felix Lechner ]
  * Enforce code style as part of autopkgtest testing.
  * Do not install pkg-js-tools as part of running the autopkgtests until
    path conflicts are resolved.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Sep 2020 10:35:54 +0000

lintian (2.95.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - no-debian-changes
      - source-contains-cmake-cache-file
      - source-contains-debian-substvars
    + Removed:
      - empty-debian-diff
      - missing-versioned-depends-on-init-system-helpers
    + Renamed:
      - diff-contains-arch-control-dir -> debian-adds-arch-control-dir
        (etc.)

  [ Chris Lamb ]
  * Clarify which Vcs-* the vcs-field-not-canonical tag is being emitted
    for, and update its long description to remove misleading messages.
    (Closes: #970201)

  [ Felix Lechner ]
  * Remove the obsolete
    scripts-missing-versioned-depends-on-init-system-helpers-without tag.
    (Closes: #932378)
  * Repurpose diff-contains-* tags to work on all Debian changes in other
    formats.

  [ Pino Toscano ]
  * Also detect duplicate Debian menu files for games.

  [ Sebastian Ramacher ]
  * Mark libavresample-dev from ffmpeg as being obsolete in favour of
    libswresample-dev.

  [ Xavier Guimard ]
  * Fix the search for pkg-js-tools tests.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Sep 2020 09:46:19 +0000

lintian (2.94.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - number-of-patches
      - unpack-message-for-deb-control
      - unpack-message-for-deb-data
      - unpack-message-for-orig
      - unpack-message-for-source
    + Removed/merged:
      - tar-errors-from-control
      - tar-errors-from-data
      - tar-errors-from-source

  [ Chris Lamb ]
  * Don't emit odd-mark-in-description for large numbers such as "300,000".
    (Closes: #969528)
  * Update all "my $LINTIAN_VERSION" instances in binary scripts, not just
    the ones we specify as we had added and removed some.
  * Correct a typo in the long description for odd-mark-in-description.
  * Don't try and open debian/patches/series if it does not exist.
  * Update CONTRIBUTING.md:
    - Merge data/README into this file.
    - Use the "#" Markdown style for headings.
    - Drop recommendation to update debian/changelog manually.

  [ Felix Lechner ]
  * Allow namespaced tags in override files; fix parsing inconsistency.
    (Closes: #969719)
  * Rename two utility programs so their names start with 'lintian'.
  * Widen output when looking for groff errors in manual pages.
    (Re: #892423)
  * Allow new Gitlab-style "includes" in CI pipeline specifications.
  * Adjust private/regenerate-profiles to new tag file extension and
    regenerate profiles.
  * Announce match for sensible utils in context of
    missing-depends-on-sensible-utils.
  * Move number-of-patches to a separate check file.

  [ Peter Wienemann ]
  * Add a new number-of-patches classification tag.

  [ Dominic Hargreaves ]
  * Remove obsolete advice regarding alternate depends for dual-lived perl
    modules in the package-superseded-by-perl tag.

  [ Simon McVittie ]
  * data: Use correct separator for all dh addons and commands

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Sep 2020 08:31:01 +0000

lintian (2.93.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Process display options according to truth value, not presence.
    (Closes: #969406)
  * Only announce left over processes in debug mode, fixing autopkgtest
    failures.
  * Clean up profile code and drop {VENDOR} notation in profile names.
  * Support newlines in file names. (Re: #929729)

  [ Peter Pentchev ]
  * Ignore *.txt files in Python egg-info directories.

  [ Reiner Herrmann ]
  * Add PrefersNonDefaultGPU to known-desktop-keys.

 -- Chris Lamb <lamby@debian.org>  Thu, 03 Sep 2020 21:54:58 +0000

lintian (2.92.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Drop obsolete output formats ColonSeparated, FullEWI, LetterQualifier
    and XML.
  * Provide a Perl-native implementation to index and extract tar files in
    parallel. (Closes: #968611)
  * Reduce visibility level of redundant-globbing-patterns to pedantic.
    (Closes: #967961)
  * Reset file_info for TeX Font Metric files incorrectly categorized as gzip.
    (Closes: #963589)
  * Replace python2 with python3 in debian/tests/control. (Closes: #936952)
  * Split bin/lintian-info into separate annotate-lintian-hints and
    explain-lintian-tags.
  * Drop Lintian version from tag URLs offered in "standalone" HTML mode.
  * Use Text::Glob to match globbing patterns to file names in
    debian/copyright.
  * Remove IO::Async from Depends in debian/control and move to
    debian/tests/control.

  * Update tag description files:
    - Rename file extensions from *.desc to *.tag.
    - For friendlier field names, rename Info: to Explanation: and Ref: to
      See-Also:
    - Use Text::Markdown::Discount to facilitate Markdown content.
    - Also decode HTML5 entities in plain output; add
      libhtml-html5-entities-perl to debian/control.
    - Replace underscores with the &lowbar; HTML5 entity.

  [ Chris Lamb ]
  * Don't emit patch-not-forwarded-upstream for README files under
    debian/patches. (Closes: #968845)
  * Update private/generate-tag-summary to reflect change of tag definition
    filename extension change from .desc → .tag.

  [ Dmitry Shachnev ]
  * Refresh data/files/fonts using refresh-fonts-data script.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Aug 2020 12:29:46 +0100

lintian (2.91.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Set most spelling-related tags to info or pedantic level and improve
    line references for spelling errors in override files. (Re: #968416)
  * Issue the repeated-path-segments tag only directories only.
  * For the first time, unpack tarballs in orig index and use centralized
    streaming unpacker.

  [ Chris Lamb ]
  * Clarify the grammar of the package-uses-old-debhelper-compat-version
    tag.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Aug 2020 21:20:00 +0000

lintian (2.90.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Un-deprecate /etc/lintianrc, remove file on upgrade and ship in
    doc/examples. (Closes: #968326)
  * Move all executables not meant for shipping to ./private.
  * Large number of internal changes to use IPC::Run3 over IO::Async.

  [ Andrius Merkys ]
  * Fix a typo in the long description of the breakout-link tag.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Aug 2020 08:55:33 +0000

lintian (2.89.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - systemd-service-file-uses-deprecated-syslog-facility
      - systemd-service-file-uses-nobody-or-nogroup

  [ Chris Lamb ]
  * Check for User=nobody and Group=nogroup in systemd .service files.
    (Closes: #966623)
  * Check for StandardOutput= and StandardError= that uses the deprecated
    "syslog" or "syslog-console" facility. (Closes: #966617)
  * Fix a false positive with no-dh-sequencer due to target dependency.
    (Closes: #968108)
  * Drop an unused $skip_tag argument to "extract_service_file_values"
    routine.

  [ Felix Lechner ]
  * Prefer settings in configuration files over other defaults and allow
    command line to override both. (Closes: #968067)
  * Add unzip to Depends in debian/control and drop from
    debian/tests/control. Also add lzop to Depends in d/control.
    (Closes: 968041)

 -- Chris Lamb <lamby@debian.org>  Mon, 10 Aug 2020 09:59:45 +0000

lintian (2.88.0) unstable; urgency=medium

  [ Felix Lechner ]
  * For DEP-5 copyrights, disregard the debian/ folder in upstream sources.
    (Closes: #967226)
  * In the files/compressed/lz check, do not stat(2) lzip command for every
    file in the index.
  * Move executables from ./frontend to ./bin and set indirect links from
    /usr/bin. Also move our test executables from t/bin to ./bin.
  * Install the Lintian library modules to /usr/share/lintian/lib.
  * Use Perl's FindBin to reliably detect the base directory for Lintian.
  * Stop installing Test modules in Perl system path.
  * Split lintian, lintian-info and spellintian into three independent
    scripts.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Aug 2020 12:13:12 +0000

lintian (2.87.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for clzip as an alternative for lzip. (Closes: #967083)
  * Add justification for lzip dependency in previous debian/changelog
    entry. (Closes: #966817)

  [ Felix Lechner ]
  * Run no tests when building to reduce Build-Depends and drop the nocheck
    build profile as a consequence.
  * Replace frontend/dplint with a simpler startup script at
    frontend/lintian.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Aug 2020 11:53:25 +0000

lintian (2.86.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Revert running each check in a separate process to prevent some file
    descriptor regression. (Closes: #966122, #966368)
  * Also consider pseudo-headers allowed by DEP-3 when examining patches.
    (Closes: #966024)
  * Do not issue the patch-not-forwarded-upstream tag when Origin: is
    upstream or backport. (Closes: #966140)
  * Analyse matching behavior and relative order of globbing patterns in
    debian/copyright. (Closes: #905747)
  * Rename two similar tags related to Rules-Requires-Root.
  * Flag overrides with mismatched context separately from those that are
    not used.
  * Wait for each lexgrog and man and convert documentation/manual check to
    IPC::Run3. (Closes: #966072)
  * Salsa setup:
    - Set CCACHE_DISABLE in t/bin/build-test-packages; otherwise standard
      Salsa CI pipelines will fail.
    - Use the Salsa CI team's standard pipeline instead of Lintian's custom
      CI setup.
  * Remove three obsolete tags from pkg-perl team checks.
  * Add lzip to Depends and Build-Depends. Due to a particularity in the
    implementation of safe_qx via IO::Async it was not recognised as a
    requirement until now.

  [ Chris Lamb ]
  * Avoid false-positives when matching sensible-utils utilities (eg.
    "i3-sensible-pager"). (Closes: #966022)
  * Rename send-patch to patch-not-forwarded-upstream; tag names should
    ideally be descriptions of the world, not instructions. Update regex to
    search for released version numbers in a .changes file.

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Aug 2020 14:41:32 +0000

lintian (2.85.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Fix wildcard-matches-nothing-in-dep5-copyright. (Closes: #888001)
  * Don't emit send-patch when Applied-Upstream is set. (Closes: #965119)
  * Disregard watch files containing only comments. (Closes: #965385)
  * Account properly for license identifiers in debian/copyright and split
    wildcard matching from license parsing. (Closes: #779676)
  * Expect only {S,B,C} to be capitalised when following a leading X in
    field names. (Closes: #965966)
  * Add test case demonstrating false-positive for
    dep5-copyright-license-name-not-unique is fixed. (Closes: #801182)
  * Parse lists of distributions in changes files.
  * Add a test case for email address with missing closing bracket.
    (Re: #965335)
  * Move Salsa CI specification to debian/salsa-ci.yml.

  [ gregor herrmann ]
  * Add another debian/copyright template.

  [ Axel Beckert ]
  * Replace debhelper level 12 with 13 in tag descriptions examples.
  * Add correction for a "debhelper" misspelling and correct in some
    previous changelog entries.

  [ Chris Lamb ]
  * Drop reminders from 26 tags that false-positives should be reported to
    Lintian as this is implicit in all ~1,500 tags.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Jul 2020 22:02:39 +0000

lintian (2.84.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - arch-any-package-needs-newer-cdbs
      - autopkgtest-needs-use-name
      - include
      - legacy-vendorarch-directory
      - missing-tests-control
      - module-build-tiny-needs-newer-cdbs
      - module-build-tiny-needs-newer-debhelper
      - no-git
      - no-team-tests
      - no-team-url
      - no-tests
      - no-testsuite-header
      - nodejs-bad-buffer-usage
      - send-patch
      - specification
    + Removed:
      - inconsistent-testsuite-field
      - testsuite-autopkgtest-missing

  [ Felix Lechner ]
  * Strip architecture from two filenames in tests, and ignore tags seen
    only on some architectures as it causes autopkgtest regressions on
    arm64.
  * Unconditionally allow /dev/null as a symlink target in source packages.
    (Re: #964111)
  * Fix national-encoding for DEP-3 patches without quilt notice.
    (Closes: #964281)
  * Add a reminder to send forwardable DEP-3 patches upstream.
    (Closes: #755153)
  * Add two classification tags for Salsa CI detection.
  * For testsuites, parse debian/control instead of .dsc and drop the
    inconsistent-testsuite-field tag.
  * Convert program error for missing test fields to a tag and reinstate
    old tag under new name.
  * Removed debhelper compat 5 and 6 from tests.
  * Allow optional, private namespaces for tags. (Re: #943525)
  * Merge all checks and tags from pkg-perl and pkg-js.
  * For R API version parsing, allow any character that is legal in package
    names. (Re: #961709)

  [ Trek ]
  * Exclude some more templated (ie. "@") systemd .service files.

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Jul 2020 22:15:30 +0000

lintian (2.83.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Add a new standalone HTML output mode.
  * Warn about embedded javascript files provided by sphinx.
    (Closes: #964013)
  * Exempt links that stay inside /usr/lib from breakout-link.
    (Closes: #964073)
  * Rename second mention of tag manpage-in-wrong-directory.
    (Closes: #964282)
  * Extend spell check to all parts of debhelper rule targets.
    (Closes: #963765)
  * Only check the DEP-3 header for legacy encodings in debian/patches.
    (Closes: #964281)
  * Restrict top folder for breakout-link to architecture in /usr/lib and
    permit links freely within. (Closes: #964073)
  * Use the new path to test recipes in autopkgtest. (Closes: #964405)
  * Drop a test no longer building due to new restraints on version
    strings. (See: #953554)
  * Exempt Lintian's own test suite from scans in source files and remove
    programmatic conditionals in checks.
  * Replace references to 'manpages' with 'manual pages' in tag
    descriptions.

  [ Chris Lamb ]
  * Correct a reference to "override_dh_" in the long description of the
    excessive-debhelper-overrides tag.

  [ Lev Lamberov ]
  * Update Debian Emacsen team wiki page link.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Jul 2020 22:50:19 +0000

lintian (2.82.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Replace files ignored by dpkg-source in dpkg-source; their absence was
    causing a FTBFS on the official buildds.
  * Drop two legacy tests that produced architecture-specific tags but were
    not needed.

  [ Dmitry Shachnev ]
  * Add sphinx as a possible build-dependency for dh_sphinxdoc.

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Jun 2020 11:58:12 +0000

lintian (2.81.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Remove command line option --fail-on from the settings in configuration
    files. (Closes: #962157)
  * Use UTF-8 codepoint for copyright sign in copyright files.
    (Closes: #961975)
  * Add tag for architecture-specific paths in debian/not-installed.
    (Closes: #961973)
  * Rename tag to recursive-privilege-change and explain usage of
    runuser(1). (Closes: #895597)
  * Do not enable Perl warnings globally to reduce output clutter from
    external modules.
  * In debian/control, add dh-r to Build-Depends. (See: #961709)
  * Add two test cases from Ansgar's 'colorful' test package.
    (See: #962277)
  * Drop Email::Valid as obsolete and use regex to check emails for fully
    qualified hosts. (See: #962277)
  * Flag the use of acute accents in manpages. (Closes: #554897)
  * Flag ANSI escape characters in all fields of primary packaging control
    files. (See: #962277)
  * In check menus, title-case the hash keys representing field labels to
    make the tag context more human-readable.
  * Rename tag for mailing list on Alioth and convert to classification
    tag. (Closes: #962448)
  * Add a classification tag for field contents in primary package control
    files.
  * Find the correct section when looking at combined manpages.
    (Closes: #962601)
  * Read manual references as UTF-8 to show "en" dash correctly.
    (Closes: #904885)
  * Issue 'required-field' and 'recommended-field' tagsper Debian Policy
    section 5 instead of field-specific tags.
  * Fix mail host validation in debian/changelog and rename tag for bogus
    hosts.
  * Do not allow unsafe symlinks in autopkgtests. (Closes: #954860)
  * Broaden tag descriptions for lower custom compression settings.
    (Closes: #909696)
  * Do not impose a umask when running tests as it partially obscured a bug
    in Dpkg. (See: #945869 & #796257)
  * Emit a classification tags with octal file permissions for all files
    sources and installables. (See: #945869, #796257)
  * Reset process umask before unpacking source tarballs. (Closes: #945869)
  * Use case-sensitive field names in control files, package relations,
    debconf templates and autopkgtest files.
  * Mark commas not followed by whitespace in package descriptions.
    (Closes: #591665)
  * Do not use the Bash shell when syntax checking maintainer scripts using
    /bin/sh. (Closes: #954459)
  * Point out variant spellings of field names in control files.
  * Use case-sensitive Deb822 parser for profiles, tags, checks, internal
    harness tests,private scripts, and in readelf data within
    Processable::Objdump.
  * Add new tag breakout-link for such links in /usr/lib. (Closes: #243158)
  * Stop exempting files in debian/missing-sources from source-is-missing.
    (See: #962583)
  * Provide test case with JS sources in subdir of d/missing-sources.
    (Closes: #962583)
  * Issue tag for repeated path segments in installed files.
    (Closes: #950052)
  * Restore case-invariant access to control fields, per Debian Policy
    section 5.1.
  * Add an internal harness test requiring a declared diagnostic value for
    tag-related test. (Closes: #962671)
  * Parse mail addresses in package control fields in one place and
    validate domains using Data::Validate::Domain.
  * Add new checks for maintainer-provided manpages and desktop entries.
    (Closes: #755161)
  * Restore program failure when error tags are found. (Closes: #962158)
  * Rename documentation/man to documentation/manual and debian/manpages to
    debian/manual-pages. Also rename tags that refer to a 'manpage' to
    'manual-page' or another name.
  * Combine various national encoding tags into one and issue all in one
    check.
  * Rename new item-looping entry points in checks as not all items are
    files.
  * Provide script diagnostics in the "control index".
  * Remove conflict between no-template-description and
    untranslatable-debconf-templates. (Closes: #914256)

  [ Chris Lamb ]
  * Update data/fields/perl-provides for Perl 5.030003.

  [ Paul Wise ]
  * Add several corrections and sort using the UTF-8 locale.

  [ Dylan Aïssi ]
  * Add the requires-r-api and ships-r-site-library tags for the R
    statistics language. (Closes: #961709)

  [ Mo Zhou ]
  * Add a new "linked-with-obsolete-library" tag; marks only libcblas from
    the Debian Science team for now.

  [ Rafael Laboissière ]
  * Fix false positives in the no-dh-sequencer tag when Makefile command
    prefixes (eg. "+") are used. (Closes: #963212)

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Jun 2020 09:47:18 +0100

lintian (2.80.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - national-encoding-in-text-file

  [ Chris Lamb ]
  * Check for execute_after/execute_before spelling mistakes, etc., just
    like for override_.

  [ Felix Lechner ]
  * Add check for nationally encoded text files in installation packages.
    (Closes: #796170)
  * Mention discussion about allowing some paths for the
    script-not-executable tag. (Closes: #368792)
  * Fix regex for Guile bytecode with respect to ELF-related tags.
    (Closes: #961961)

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Jun 2020 09:30:24 +0000

lintian (2.79.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Perform a mass-rename of tags for consistency according to the RFC.
    (Closes: #922544)
  * Use Email::Address::XS to parse all address components.
    (Closes: #961924)
  * Replace configuration option LINTIAN_PROFILE with 'profile'.
    (Closes: #961855)
  * Combine tags for missing native and non-native changelogs in
    installation packages. (Closes: #935072)
  * Clarify tag names related to shlibs control and shared libraries.
    (Closes: #534938)

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Jun 2020 09:16:03 +0000

lintian (2.78.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - maintainer
      - uploader
    + Renamed/split:
      - changed-by-address-looks-weird & changed-by-address-missing ->
        malformed-changed-by-field
      - maintainer-address-looks-weird & maintainer-address-missing ->
        malformed-maintainer-field
      - uploader-address-looks-weird -> malformed-uploaders-field

  [ Felix Lechner ]
  * Use settings from configuration files when they were previously
    undefined. (Closes: #961802)
  * Accept some environmental variables as valid keys in the configuration
    file. (Closes: #961800)
  * Use Email::Address::XS to parse fields for Maintainer, Uploaders etc.
  * Consider renamed tags when ignoring unknown tags obtained from
    ftpmaster.

  [ Raul Benencia ]
  * Add section numbering to the user manual.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 May 2020 09:15:59 +0000

lintian (2.77.1) unstable; urgency=medium

  [ Felix Lechner ]
  * Deal gracefully with empty configuration files. (Closes: #961684)
  * Amend a tag description with how to add missing upstream signatures to
    the archive. (Closes: #954743)

 -- Chris Lamb <lamby@debian.org>  Wed, 27 May 2020 22:07:44 +0000

lintian (2.77.0) unstable; urgency=medium

  [ Simon Quigley ]
  * Add a new --fail-on command-line option for more control over the exit
    status. (Closes: #709932)

  [ Felix Lechner ]
  * Fix several 'TODO' tests using the "literal" match strategy.
    (Closes: #921112)
  * Reverse the exit statuses for program errors and policy violations.
    (Re: #709932)
  * Pin installation of debhelper to -backports in the continuous
    integration pipeline for buster.
  * Use the Config::Tiny Perl module to parse configuration files.
  * Merge two stages of the Gitlab CI pipeline.

  [ Peter Pentchev ]
  * Fix a Python 2.x -> 3.x typo in a tag description.

  [ Chris Lamb ]
  * Refresh data/fields/perl-provides.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 May 2020 09:13:37 +0000

lintian (2.76.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - depends-on-misc-pre-depends

  [ Chris Lamb ]
  * Check for packages that include ${misc:Pre-Depends) in the Depends
    field. (Closes: #961290)

  [ Raul Benencia ]
  * Fix "em" dashes in Lintian manual.

  [ Paul Wise ]
  * Add several spelling corrections.
  * Capitalise "Verilog" spelling correction.

  [ Felix Lechner ]
  * In the CI pipelines, request more detailed output when installing build
    prerequisites.
  * Ignore unknown tags when generating profiles and disconnect the "main"
    profile from "ftp-master-auto-reject"

  [ Simon Quigley ]
  * Allow for non-Debian profiles to specify the location of Debian VCSes.

 -- Chris Lamb <lamby@debian.org>  Sat, 23 May 2020 09:31:35 +0000

lintian (2.75.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Clarify the error messge when the file specified to check does not
    exist. (Closes: #960970)

  [ Felix Lechner ]
  * Strip comments in debian/rules correctly.

 -- Chris Lamb <lamby@debian.org>  Tue, 19 May 2020 12:14:01 +0000

lintian (2.74.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Ignore comments when checking for no-dh-sequencer. (Closes: #960485)
  * Allow the stable-bpo and stable-bpo-test-packages Gitlab CI pipelines
    on Salsa to pass for now.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 May 2020 12:33:09 +0000

lintian (2.73.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - desktop-entry-unknown-type
      - homepage-refers-to-filesystem-listing

  [ Chris Lamb ]
  * Add dh_gnome (and dh_gnome_clean) as an explicit alternative to
    dh-sequence-gnome in debhelper/dh_commands-manual. (Closes: #958500)
  * Factor out matching Homepage fields to data/fields/bad-homepages.
  * Check for Homepage fields that point to filesystem directory listings.
    (Closes: #960366)

  [ Kari Pahula ]
  * Warn about unknown file types in desktop files.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 May 2020 21:57:51 +0000

lintian (2.72.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - package-contains-icon-cache-in-generic-dir

  [ Chris Lamb ]
  * Check for packages installing /usr/share/icons/hicolor/icon-theme.cache
    as they will invariably clash with other packages. (Closes: #959855)

  [ Paul Wise ]
  * Add "tigris.org" to the list of obsolete sites.
  * Add several spelling corrections

  [ Alex Muntada ]
  * Correct the spelling of "XDG_DIR".

  [ Felix Lechner ]
  * Use aspcud solver in apt like the experimental buildds in an attempt to
    restore Gitlab continuous integration tests.
  * Ensure apt-get is non-interactive when installing apt-cudf and use
    the cache.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 May 2020 13:14:55 +0000

lintian (2.71.0) unstable; urgency=medium

  * Mark the debian-rules-uses-as-needed-linker-flag tag as being pedantic
    & experimental until (at least) the release of bullseye. Thanks to
    Mattia Rizzolo and Christian Kastner. (Closes: #959696)
  * Replace "Copyright (C)" with the Unicode copyright symbol in our own
    code for consistency and update my copyright years.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 May 2020 18:17:01 +0000

lintian (2.70.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - non-debug-file-in-debug-package

  [ Chris Lamb ]
  * Warn about automatically-generated debug packages that ship files
    other than .debug. (Closes: #958945)

  [ Axel Beckert ]
  * Fix misleading typo in the long description of the
    testsuite-dependency-has-unparsable-elements tag.

  [ Felix Lechner ]
  * Exempt udebs from executable-in-usr-lib. (Closes: #959037)
  * Fix text and formatting in tag description for
    portable-executable-missing-security-features. (Re: #953212)
  * Explain ordering of standalone License and Files paragraphs in the
    description of missing-license-paragraph-in-dep5-copyright tag.
    (Closes: #959067)
  * Decouple a Debhelper-related tag description from the currently
    recommended level. (Closes: #959126)

 -- Chris Lamb <lamby@debian.org>  Sat, 02 May 2020 12:45:14 +0000

lintian (2.69.0) unstable; urgency=medium

  * Summary of tag changes:
    + Removed:
      - pre-depends-directly-on-multiarch-support

  [ Chris Lamb ]
  * Ignore build profiles when checking packages for "py3versions -s"
    without the corresponding Build-Depends. (Closes: #958794)
  * Remove the pre-depends-directly-on-multiarch-support tag; any package
    pre-depending on multiarch-support will not be installable in bullseye.
    (Closes: #798762)
  * Move debhelper itself to compatibility level 13 so it does not emit
    package-uses-old-debhelper-compat-version for itself.

  [ Felix Lechner ]
  * Bump recommended debhelper compat-level to 13; move experimental to 14.
    (Closes: #958932)
  * Fix common prefix detection for extracted tar files. (Closes: #958845)

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Apr 2020 19:46:15 +0000

lintian (2.68.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Mark mailing-list-obsolete-in-debian-infrastructure as being
    experimental, essentially hiding it. (Closes: #958666)
  * Warn about packages --with=systemd with a debhelper compatibility level
    of 10 or higher. (Closes: #949844)

  [ Michael Biebl ]
  * Stop recommending dh-systemd as a Build-Depends alternative in the long
    description of maintainer-script-calls-systemctl.

  [ Simon Quigley ]
  * Add "groovy" as a known Ubuntu distribution.

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Apr 2020 08:54:19 +0000

lintian (2.67.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-uses-as-needed-linker-flag
      - mailing-list-obsolete-in-debian-infrastructure
      - native-source-file-without-utf8-name

  [ Axel Beckert ]
  * Stop correcting "extraversion" to "extroversion" as it causes false
    positives.

  [ Chris Lamb ]
  * Add a warning regarding lists.alioth.debian.org mailing list addresses.
    (Closes: #958182)
  * Check for debian/rules files that specify -Wl,--as-needed as this is
    now the default linking method from bullseye. (Closes: #956146)
  * Detect "dh $*" as using the Debhelper sequencer. (Closes: #930679)
  * Also check for "override dh_install" in debian/rules; in 99% of cases
    this will be an omission of an underscore.

  [ Felix Lechner ]
  * Do not check for circular root references when a file index is empty.
    (Closes: #958113)
  * Do not prompt for password for encrypted zip members. (Closes: #935292)
  * Fix the output for JSON; it is encoded already.
  * Dynamically generate file names that are not valid UTF-8 in tests.
  * Add new tag for non-UTF-8 file name in the source tree.

  [ Vincent Blut ]
  * Add 'needs-internet' to the list of permitted values for the
    restrictions field in autopkgtest control files.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Apr 2020 10:21:16 +0000

lintian (2.66.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - patched-file-without-utf8-name
      - upstream-file-without-utf8-name
    + Renamed:
      - file-name-is-not-valid-UTF-8 ->
          shipped-file-without-utf8-name

  [ Chris Lamb ]
  * Build-Depends-Arch and Build-Depends-Indep do not imply each other so
    don't warn about "duplicate" dependencies in this case.
    (Closes: #956368)

  [ Felix Lechner ]
  * Warn about invalid UTF-8 file names in package sources.
    (Closes: #956723)
  * Downgrade internal uft8 flags on all file system paths delivered by
    File::Path. (Re: #956233, #956723)
  * Rename shipped-file-without-utf8-name from
    file-name-is-not-valid-UTF-8. (Re: #956723)

  [ Sandro Tosi ]
  * Switch all checks, tests and tags over to use python3-numpy away from
    the legacy Python 2.x version.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Apr 2020 17:35:15 +0000

lintian (2.65.0) unstable; urgency=medium

  * Summary of tag changes:
    + Renamed:
      - description-too-long -> synopsis-too-long

  [ Chris Lamb ]
  * Allow python3-all-dev and python3-all-dbg to satisfy the check for
    packages that use "py3versions -s". (Closes: #955799, #956134)
  * Don't warn about package-relation-with-self if we have specified a
    required architecture; assume the maintainer knows what they are doing
    in these cases. (Closes: #956227)

  [ Felix Lechner ]
  * Parse debian/changelog in source packages as UTF-8. (Closes: #956151)
  * Improve line count in the fields/description check, renaming the tag to
    synopsis-too-long.
  * Speed up indexing for patched files from source packages.
  * Significantly speed up parsing of output from md5sums(1).
  * Also speed up parsing of magic file-info output from file(1).

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Apr 2020 10:03:11 +0000

lintian (2.64.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Do not check for conffiles in udebs. (Closes: #956077)

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Apr 2020 07:17:57 +0000

lintian (2.63.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - national-encoding-in-debconf-template

  [ Chris Lamb ]
  * Do not warn about empty dh_dwz-generated "multifiles".
    (Closes: #955752)

  [ Felix Lechner ]
  * Assume that all dpkg-style configuration files are encoded in UTF-8.
  * Do not strip relative prefixes or extra slashes from wildcards in
    debian/copyright files. (Closes: #955538)
  * Add an experimental JSON output format.
  * Prefer PerlIO layer :encoding(UTF-8) over :utf8 everywhere.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Apr 2020 09:41:12 +0000

lintian (2.62.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - broken-{bz2,gz,lz,lzma,lzo,xz,zip}
      - named-copyright-for-single-installable
      - no-debian-copyright-in-source
      - no-newline-at-end
    + Removed:
      - binary-is-wrong-architecture
      - field-name-typo-in-dep5-copyright
      - gz-file-not-gzip
      - no-debian-copyright

  [ Chris Lamb ]
  * Don't emit duplicate-short-description or duplicate-long-description if
    they contain substitution variables. (Closes: #947168)
  * Drop .travis.yml file; we are using Salsa now.

  [ Felix Lechner ]
  * Require Perl 5.20 and use "pragma utf8" throughout.
  * Remove the xdeb check. (Closes: #954415)
  * Check for broken gz, xz, zip, lz, lzo and lzma files. (Closes: #702545)
  * Rename no-debian-copyright to no-debian-copyright-in-source.
  * Add a new named-copyright-for-single-installable tag.
  * Remove the field-name-typo-in-dep5-copyright tag.
  * Add a new no-newline-at-end tag to check specific files for a newline
    at EOF.

  [ Paul Wise ]
  * Add several spelling corrections.
  * Sort the spelling dictionary.

 -- Chris Lamb <lamby@debian.org>  Thu, 02 Apr 2020 16:02:11 +0000

lintian (2.61.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-uses-installed-python-versions
      - debian-rules-uses-supported-python-versions-without-python-all-build-depends
      - runtime-test-file-uses-supported-python-versions-without-python-all-build-depends

  [ Axel Beckert ]
  * Switch links to http://refspecs.linuxfoundation.org to use HTTPS.

  [ Chris Lamb ]
  * Warn when "py3versions -s" is used without a python3-all dependency.
    (Closes: #954763, #954868)
  * Improve checking for "py3versions -i" in autopkgtests and also check
    debian/rules files too.
  * Make some cosmetic improvements to CONTRIBUTING.md.
  * Correct reference to bug in previous changelog entry.

  [ Felix Lechner ]
  * Do not issue any tags for udebs in when checking md5sums.
    (Closes: #954803)
  * Simplify mechanism when looking for foreign architectures.
    (Re: #954415)

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Mar 2020 10:33:17 +0000

lintian (2.60.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - runtime-test-file-uses-installed-python-versions
      - upstream-metadata-not-yaml-mapping

  [ Chris Lamb ]
  * Do not check the length of Checksums-Sha256 fields. (Closes: #954798)
  * Don't check for an md5sums control files in udebs. (Closes: #954803)
  * Expand possible-missing-colon-in-closes to also check for semicolons
    used in place of colons. (Closes: #954484)
  * Check for calls to py3versions -i in autopkgtests. (Closes: #954763)

  [ Felix Lechner ]
  * Do not run the fields/length check on .changes or .buildinfo files.
    (Closes: #954798)
  * Check for upstream metadata without a YAML mapping at the "document"
    level.

  [ Scott Kitterman ]
  * Update "old" and "ancient" python-version-field tags descriptions to
    suggest also checking for incorrect use of "py3versons -r".
    (Closes: #954819)

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Mar 2020 10:56:21 +0000

lintian (2.59.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Remove some <!nocheck> annotations. Thnaks to gregoa for the patch.
    (Closes: #954338)

  [ Felix Lechner ]
  * Do not check the length of the Installed-Build-Depends field.
    (Closes: #954341)
  * Disable checks for man pages, copyright and changelog in udebs.
    (Closes: #954428)
  * Update an expected XML output and regular expression for a reproducible
    build.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Mar 2020 20:22:08 +0000

lintian (2.58.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - executable-in-usr-lib

  [ Felix Lechner ]
  * Fix interaction between two gzip timestamp tags.
    (Closes: #954146)
  * In terminal output, print overrides in a subdued color.
    (Closes: #954224)
  * Add tag and check for executables in /usr/lib, which violates the FHS.
    (Closes: #954149)
  * Use the "Severity" field in tags to determine their display prominence
    directly. (Closes: #935706)
  * Remove temporary directories for pools when they are no longer needed.
    (Closes: #924449)

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Mar 2020 09:56:18 +0000

lintian (2.57.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - absolute-symbolic-link-target-in-source
      - bash-completion-with-hashbang
      - binary-is-wrong-architecture
      - copyright-excludes-files-in-native-package
      - explicit-default-in-package-type
      - new-package-uses-date-based-version-number
      - upstream-metadata-missing-bug-tracking
      - upstream-metadata-missing-repository
    + Removed:
      - pkg-config-references-unknown-shared-library

  [ Chris Lamb ]
  * Check for debian/upstream/metadata files without bug tracking
    information and upstream repository locations.
    (Closes: #950115, #950117)
  * Check for new packages that use a date-based versioning scheme
    (eg. YYYYMMDD-1) without a 0~ suffix. (Closes: #953036)
  * Don't report about using a newer Standards-Version when uploading to
    backports.
  * Clarify the error message when tags are not covered in the testsuite.

  [ Felix Lechner ]
  * Also analyse Ubuntu's automatic debug packages which have the
    non-standard suffix .ddeb. (Closes: #951513, #953857)
  * Parse newline escapes correctly in md5sum files. (Closes: #929729)
  * Remove tag pkg-config-references-unknown-shared-library; outside of
    Lintian's purview. (Closes: #953099)
  * Rewrite check for compressed gzip archives; print modification time of
    first member. (Re: #762105)
  * Add a new tag called bash-completion-with-hashbang.
  * Add tag and check for absolute symbolic link targets in source trees.
  * Reduce severity and mark PE32+ related tag experimental; set security
    features for test binary explicitly.
  * Offer to calibrate test results for literal matching strategy.
  * Strip leading slashes from absolute paths for file names and hard link
    targets.
  * Issue a tag when the Excluded-Files field is present in copyright
    within native packages.
  * Display Lintian's command-line options in the process table (eg.
    top(1), etc.)

  [ Paul Wise ]
  * Add several spelling corrections.

  [ Xavier Guimard ]
  * Extend NodeJS checks to modules that use naming such as "@foo/bar".

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Mar 2020 23:21:34 +0000

lintian (2.56.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - nodejs-lock-file

  [ Chris Lamb ]
  * Check for NO_START and FOO_NO_START etc. in /etc/default scripts.
    (Closes: #950238)
  * Deprecate debhelper compat level 9. (Closes: #950453)

  [ Felix Lechner ]
  * Fix POD markup in man page; indent level caused literal display of
    formatting codes. (Closes: #952529)
  * Fix the selection of classification tags with -T command line switch.
    (Closes: #952539)
  * Use JSON::MaybeXS instead of plain JSON in the NodeJS checks.
  * Remove and replace the open_gz, open and file_contents subroutines from
    File::Path.
  * Provide method for all ->descendants in File::Path and use it, retiring
    breadth-first recursion.

  [ Xavier Guimard ]
  * Check if NodeJS modules install lock files.

 -- Chris Lamb <lamby@debian.org>  Wed, 26 Feb 2020 18:30:19 +0000

lintian (2.55.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - adduser-with-home-var-run

  [ Chris Lamb ]
  * Emit rules-requires-root-explicitly for values other than
    "binary-targets". (Closes: #951650)

  [ Felix Lechner ]
  * In checks related to debian/copyright DEP-5 parsing, use the 'patched'
    to match files. (Closes: #951760)
  * Do not sort hard links when printing tag as the order is
    predetermined in File::Index.
  * For directories, File::Path->basename no longer returns a trailing slash.
  * Add libdevel-size-perl to Depends and Build-Depends.
  * Correct false positives for missing systemd keys.

  [ Topi Miettinen ]
  * Add check for adduser --home /var/run in {pre,post}inst.

 -- Chris Lamb <lamby@debian.org>  Sun, 23 Feb 2020 17:43:29 +0000

lintian (2.54.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Also permit millisecond-resolution timestamps in tar archives. (Closes: #951594)

  [ Felix Lechner ]
  * Parse the output of the md5sum utility properly in all circumstances.
    (Closes: #951136)
  * Parse file indices for .deb files with a new utility in
    Lintian::File::Path. (Closes: #929729)
  * Revert adding libdata-parsebinary-perl to Depends and Build-Depends
    and related functionality; Data::ParseBinary did not function as
    required.

  [ Xavier Guimard ]
  * Replace the deprecated node-uglify with uglifyjs in build dependencies.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Feb 2020 20:42:40 +0000

lintian (2.53.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - nodejs-module-not-declared

  [ Xavier Guimard ]
  * Check if Node.js modules installed in the Node.js root directories are
    declared in the "Provides:" field.

  [ Felix Lechner ]
  * Parse tarball file listings using tar's C quoting style. (Closes: #950589)

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Feb 2020 20:08:35 +0000

lintian (2.52.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - nodejs-module
      - nodejs-module-installed-in-bad-directory
      - symlink-target-in-build-tree
      - symlink-target-in-tmp

  [ Xavier Guimard ]
  * Add classification tags for nodejs modules in order to check if modules
    are installed in a directory with another name.

  [ Felix Lechner ]
  * Suppress inconsistent-maintainer on derivatives. (LP: #1862787)
  * Differentiate dir-or-file-in-build-tree and dir-or-file-in-tmp
    into the symlink-target-in-build-tree symlink-target-in-tmp tags.

 -- Chris Lamb <lamby@debian.org>  Thu, 13 Feb 2020 12:18:18 +0000

lintian (2.51.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-watch-upstream-component

  [ Peter Pentchev ]
  * Allow quoted "$@" arguments when checking for no-dh-sequencer.

  [ Xavier Guimard ]
  * Add debian-watch-upstream-component classification tag.

 -- Chris Lamb <lamby@debian.org>  Mon, 10 Feb 2020 11:53:42 +0000

lintian (2.50.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-watch-line-invalid

  [ Felix Lechner ]
  * In watch files, allow spaces between options when commas are present.
    (Closes: #950250, #950277)
  * Add a new "debian-watch-line-invalid" for watch lines that fail to
    parse.

  [ Andrius Merkys ]
  * Fix '<' and '>' in the long description of
    pkg-js-autopkgtest-test-is-missing.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2020 13:05:25 +0000

lintian (2.49.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - upstream-metadata-exists
      - upstream-metadata-field-present
      - upstream-metadata-in-native-source

  [ Felix Lechner ]
  * Issue new classification tags upstream-metadata-exists and
    upstream-metadata-field-present. (Closes: #950115, #950117)
  * Clarify meaning of 'arch dependent' in tag description for
    tags/n/nodejs-module-installed-in-usr-lib.desc. (Closes: #950231)
  * Reword tag description for unused-file-paragraph-in-dep5-copyright.
    (Closes: #950471)
  * Add new upstream-metadata-in-native-source tag.
  * Free up lab space unconditionally and as part of regular processing.
    (re: #924449)

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Feb 2020 16:47:30 +0000

lintian (2.48.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Return the correct status code for successful collection tasks.
    (Closes: #949805)
  * Correctly order classification tags in output. (Closes: #949797)
  * For one i386-only test package, only build it on i386.
    (Closes: #949066)
  * Remove data/override/renamed-tags; they are defined in the tag
    declarations now.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Jan 2020 10:21:40 +0000

lintian (2.47.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - empty-field
      - source-contains-prebuilt-yapp-parser
    + Removed:
      - empty-section-field
      - latest-debian-changelog-entry-without-new-version
    + Renamed:
      - fortran-module-does-not-declare-version ->
          gfortran-module-does-not-declare-version
      - missing-prerequisite-for-fortran-module ->
        - missing-prerequisite-for-gfortran-module

  [ Chris Lamb ]
  * Recognise 4.5.0 as the latest Standards-Version.
  * Ensure that Lintian itself is "Lintian clean" by not warning about our
    Yapp::Parser test fixture.

  [ Felix Lechner ]
  * Skip only empty lines when packages to be checked are specified in a
    file. (Closes: #949398)
  * Add a check for empty fields in binary packages. (Closes: #879809)
  * Check for prebuilt Parse::Yapp parser files. (Closes: #921080)
  * Remove tag latest-debian-changelog-entry-without-new-version.
    (Closes: #935070)
  * Look at binaries from entire group when finding unused manpages.
    (Closes: #949063)
  * Exclude "flang" modules from the check for GFortran modules.
    (Closes: #948033)

 -- Chris Lamb <lamby@debian.org>  Fri, 24 Jan 2020 11:15:46 +0000

lintian (2.46.0) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Build Lintian with the new "python2" package. (Closes: #949065)

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jan 2020 10:06:28 +0000

lintian (2.45.0) unstable; urgency=medium

  * Summary of tag changes:
    + Renamed:
      - systemd-service-file-pidfile-refers-to-var-run ->
          systemd-service-file-refers-to-var-run

  [ Chris Lamb ]
  * Check for ListenStream configuration keys in systemd .socket files that
    refer to /var/run. (Closes: #948478)
  * Prevent false positives in missing-build-dependency-for-dh_-command by
    adding entries for dh-sequence-ada and dh-sequence-sphinxdoc.
    (Closes: #947836)
  * Refresh all "private" debhelper data.
  * Create .cache directory in the test runner if it does not exist.

  [ Louis-Philippe Véronneau ]
  * Recommend the use of the "+dfsg" version suffix over "-dfsg" in the
    repackaged-source-not-advertised tag's long description.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Jan 2020 12:23:40 +0000

lintian (2.44.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - manpage-in-udeb
      - orphaned-package-maintained-in-private-space
    + Renamed:
      - obsolete-commands-in-modprobe.d-file ->
          obsolete-command-in-modprobe.d-file
      - very-long-line-length-in-source-file ->
          insane-line-length-in-source-file

  [ Chris Lamb ]
  * Adjust certainty of no-dh-sequencer to "possible". (Closes: #948376)
  * Replace loaded term in the name of the check for suspiciously-long
    lines in source files.

  [ Paul Wise ]
  * Add several spelling corrections.
  * Correct a couple of misspelled corrections.

  [ Felix Lechner ]
  * Avoid Perl undefined array references when checking manpages.
    (Closes: #947429, #947682)
  * Add a check for orphaned packages maintained privately. (Closes: #947671)
  * Change test prerequisite to libcrypt-dev following a recent change to
    glibc.
  * Reduce the severity of repackaged-source-not-advertised. (Re: #471537)
  * Do not warn about explicit targets when looking for dh sequencer.
    (Re: #930679)
  * Ensure that no new tags are added from Lintian that are not tested.
  * Rename obsolete-command-in-modprobe.d-file from its plural equivalent.
  * Do not run internal harness tests on partial selections to aid tag
    renaming after tag coverage test was tightened.

  [ Topi Miettinen ]
  * Update systemd hardening flags to include "PrivateNetwork" and
    "ProtectKernelLogs".

  [ Xavier Guimard ]
  * Fix debian/watch parsing for "dversionmangle=auto".

 -- Chris Lamb <lamby@debian.org>  Wed, 08 Jan 2020 11:41:45 +0000

lintian (2.43.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - obsolete-commands-in-modprobe.d-file
      - package-name-defined-in-config-h
      - unused-entry-in-debian-source-include-binaries

  [ Felix Lechner ]
  * Allow curly braces in $@ for the dh-sequencer tag.
    (Closes: #947115)
  * Fix the tag description of the no-dh-sequencer tag. (Closes: #947269)
  * Add a check for PACKAGE_NAME in config.h C/C++ include files.
    (Closes: #733598)
  * Add add check for unused entries in debian/source/include-binaries.
    (Closes: #528001)
  * Look for COM (not COFF) binaries when warning against Windows
    executables in sources. See #913867 for more info.

  [ Chris Lamb ]
  * Add missing tag summaries to older debian/changelog entries and fix the
    generate-tag-summary script to match our newer style of changelog entry
    placeholder in the future.

  [ Topi Miettinen ]
  * Check for obsolete "install" or "remove" commands in modprobe.d files.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Dec 2019 18:28:08 +0000

lintian (2.42.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - concatenated-upstream-signatures
      - doubly-armored-upstream-signature
      - empty-upstream-sources
      - explicitly-armored-upstream-signature
      - fortran-module-does-not-declare-version
      - inconsistent-maintainer
      - missing-prerequisite-for-fortran-module
      - no-dh-sequencer
      - opentype-font-prohibits-installable-embedding
      - opentype-font-wrong-filename
      - quoted-placeholder-in-mailcap-entry
      - repackaged-source-not-advertised
      - spurious-fields-in-upstream-signature
      - truetype-font-prohibits-installable-embedding
      - truetype-font-wrong-filename
      - wrong-vcs-location-for-dpmt
      - wrong-vcs-location-for-papt
    + Removed:
      - service-key-has-whitespace
      - source-contains-empty-directory

  [ Felix Lechner ]
  * Add new checks to identify and notify about issues in upstream
    signatures. (Closes: #929429, #929434, #929435, #929436)
  * Do not consider manpages from related packages when looking for
    manpages without executables. (Closes: #946471)
  * Add a new check for unsafe mailcap entries. (Closes: #33486)
  * Add new Fortran checks to validate module versions and
    prerequisites. (Closes: #796352)
  * Add new checks for empty upstream sources and for when repackaged
    sources are not properly advertised as such. (Closes: #471537)
  * Drop the source-contains-empty-directory tag as it was mostly ignored.
    (Closes: #907727)
  * Remove the bogus service-key-has-whitespace tag. (Closes: #946763)
  * Check TrueType and OpenType fonts for licensing terms.
    (Closes: #635068)
  * Allow "boolean false" directory components in link targets.
    (Closes: #892127)
  * Add a new tag for consistent maintainer fields between changes and
    source processables. (Closes: #546525)
  * Add a new no-dh-sequencer tag to be issued when the debhelper(7) dh(1)
    sequencer is not used.

  [ Guido Günther ]
  * Update the PureOS distribution names in the "vendor" configuration.

  [ Louis-Philippe Véronneau ]
  * Ensure proper VCS location for Debian Python Module Team and Debian
    Python Application Team packages.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Dec 2019 12:01:30 +0000

lintian (2.41.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-watch-file-standard
      - duplicate-packaging-file
      - image-file-has-conflicting-name
      - image-file-has-unexpected-name
      - incorrect-packaging-filename
      - manpage-without-executable
      - tab-in-license-text

  [ Felix Lechner ]
  * Check for tab characters in debian/copyright files. (Closes: #946026)
  * Add checks for incorrect/duplicate filenames amongst packaging files,
    including files called "TODO" and potentially-misnamed files with
    lowercase "debian" (eg. "NEWS.debian"). (Closes: #946126)
  * Do not access network when validating XML files by adding XML::LibXML
    as a binary dependency and removing XML::Simple. (Closes: #926543)
  * When analysing debian/copyright, take files from the unpatched
    "orig_index" tree to prevent false-positives with respect to
    wildcard-matches-nothing-in-dep5-copyright.  (Closes: #844274)
  * Warn about out image files with unrelated or conflicting names.
    (Closes: #717818)
  * Issue a classification tag for the specific uscan(1) standard version
    in use. (Closes: #542713)
  * Warn with manpage-without-executable when a manpage is not accompanied by
    an executable in, for example, /usr/bin. (Closes: #583125)
  * Remove references to the obsolete IPv4.php PEAR module. (Closes: #935609)
  * Switch templates for tests to use the debhelper-compat virtual package
    instead of debian/compat.
  * Allow long values for the Package-List field.
  * Adjust a test for the new locations of obsolete DES routines in
    glibc >= 2.29-5.

  [ Chris Lamb ]
  * Move field-to-long exceptions to a list.
  * Drop an unused List::MoreUtils "any" import.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Mon, 09 Dec 2019 11:24:05 +0000

lintian (2.40.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - package-is-co-maintained
      - package-is-maintained-by-individual
      - package-is-team-maintained

  [ Chris Lamb ]
  * Sync data/fields/build-profiles and the long description of
    invalid-profile-name-in-build-profiles-field with the latest profiles,
    particularly including the new "noinsttest". (Closes: #945891)
  * Use "is_executable" over checking for a specific umask for
    debian-rules-not-executable and update the long description of
    this tag to not imply that (exactly) 0755 permissions are required.
    (Closes: #945869)
  * Don't rebuild test packages if the test specifications have not
    changed; build-test-packages will do the right thing now.

  [ Felix Lechner ]
  * Split all test specifications into separate instructions for the
    building and the evaluation of test packages.

  [ Peter Wienemann ]
  * Add new classification tags for packages maintained by individuals,
    groups and teams.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Dec 2019 20:41:17 +0000

lintian (2.39.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-not-executable
      - package-depends-on-an-x-font-package

  [ Scott Talbert ]
  * Add wmem{cpy,move,set} to the list of excluded hardened functions to
    avoid many false-positives. (Closes: #921136)

  [ Louis-Philippe Véronneau ]
  * Check to ensure debian/rules files are executable.
  * Update instructions to download build-dependencies with "apt" instead
    of "apt-get".

  [ Chris Lamb ]
  * Don't emit debian-rules-not-executable if debian/rules is a symlink; we
    warn about this via debian-rules-is-symlink.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Nov 2019 10:34:27 +0000

lintian (2.38.0) unstable; urgency=medium

  * Summary of tag changes:
    + Removed:
      - package-depends-on-an-x-font-package

  [ Felix Lechner ]
  * Process all overrides for a particular tag, not just the last one.
    (Closes: #945276, #945299)
  * For all output types except XML and "universal" impose a tag order when
    emitting. (Closes: #944807)
  * In checks, use the new attribute accessors from Processable and remove
    references to the outdated 'info' attribute.

  [ Stephen Kitt ]
  * Drop the package-depends-on-an-x-font-package as packages can now
    depend on X fonts directly (see #941803).

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2019 20:09:51 +0000

lintian (2.37.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't emit missing-depends-on-sensible-utils for sensible-utils itself.
    (Closes: #944895)
  * Correct logic when excluding .path/.timer & .service pairs from
    systemd-service-file-missing-install-key. Thanks, Richard Laager
    <rlaager@wiktel.com>. (Closes: #944145)

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Tue, 19 Nov 2019 16:23:48 +0000

lintian (2.36.0) unstable; urgency=medium

  * Don't emit systemd-service-file-missing-install-key for .service files
    with corresponding .path or .timer pairs. (Closes: #944145)

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Nov 2019 12:18:04 +0000

lintian (2.35.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - package-placeholder-in-symbols-file

  [ Chris Lamb ]
  * Don't complain about Build-Ids or Description fields that are too long;
    there is nothing really actionable for Lintian to complain about.
    (Closes: #942493)
  * Drop quoting around the field that violates "field-too-long" whilst a
    convincing case can certainly be made for quoting the offending field
    (eg "'Depends'") it feels too inconsistent with the rest of Lintian.

  [ Felix Lechner ]
  * Detect PACKAGE placeholders in debian/symbols files. (Closes: #944047)
  * Drop minimum version requirement 8.30 for coreutils; process files
    containing newlines separately. (Closes: #944258)
  * Associate the multiline-field tag with the fields/multi-line check.
  * Provide a new check fields/multi-line to do what Lintian::Processable
    did previously in that regard.
  * Fix missing module for --version; remove eval shielding error.

  [ Fabrice Bauzac ]
  * Update the location of the local HTML documentation.

  [ Adam D. Barratt ]
  * Remove myself from uploaders

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Nov 2019 13:58:05 +0000

lintian (2.34.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't emit package-supports-alternative-init-but-no-init.d-script when
    we have a .path and .service pair, in parallel to allowing .service and
    .timer pairs released in Lintian 2.29.0 via #933109. (Closes: #944094)
  * Don't emit changelog-file-missing-explicit-entry for stable updates.
    (Closes: #944098)

  [ Felix Lechner ]
  * Insert 'keys' before hashes for Perl in stretch. (Closes: #943910)
  * In text-output, offer hyperlinks to tag descriptions on
    <https://lintian.debian.org>.
  * Turn the Lintian::Collect package into a Moo common role for all
    consumers of collected data.
  * Test for POD coverage in all files but allow exceptions via
    Pod::Coverage::TrustPod. Add libpod-coverage-trustpod-perl to
    Build-Depends.
  * In Info::Changelog::Entry, adjust POD to avoid runtime errors.

  [ Peter Wienemann ]
  * Simplify the testing of the 'standards-version-classifications' tag.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Nov 2019 18:44:29 +0000

lintian (2.33.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Suggest switching from debian/compat to debhelper-compat. (Closes: #933304)
  * Upgrade the severity of missing-systemd-service-for-init.d-script from
    pedantic to a warning. (Closes: #943957)

  [ Felix Lechner ]
  * Add 'noguile' to the list of valid build profiles. (Closes: #943947)
  * Add libclass-xsaccessor-perl and libnamespace-clean-perl to Depends and
    Build-Depends.
  * Fix the tag description for the
    symbols-file-missing-build-depends-package-field tag.
  * In the tests add the newly appearing pedantic tags to the list of
    expected tags.
  * In Unpacker, eliminate an 'eval' that obscured messages to improve
    error handling.
  * In Lintian::Collect::{Binary,Source}, read from MLDBM in new facilites
    for details on java-info.

  [ Peter Wienemann ]
  * Add a "standards-version" classification tag to extend the collection
    of plots on <https://trends.debian.net>.

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Nov 2019 17:40:59 +0000

lintian (2.32.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Skip entirely whitespace lines when checking the
    override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS tag.
    (Closes: #943684)
  * Don't build Git tags on salsa.

  [ Felix Lechner ]
  * Clarify boolean return value in Collect::Binary->is_pkg_class.
    (Closes: #943724)
  * In Lintian::Collect::Binary, read from MLDBM in new facilites for
    details on scripts.
  * In Lintian::Collect::Package, read from BerkeleyDB in new facilites for
    details on binary package "control" scripts.

  [ David Prévot ]
  * Update a file reference in the long description of the
    unnecessary-source-date-epoch-assignment tag.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Thu, 31 Oct 2019 17:09:52 +0000

lintian (2.31.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Avoid false-positives for missing ${sphinxdoc:Depends} when "dh" calls
    include dynamic variables. (Closes: #943711)
  * Include more verbose debugging info (eg. concurrency) when running
    Lintian's autopkgtests.

  [ Felix Lechner ]
  * Rework the warning for overly-long binary package fields.

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Oct 2019 12:51:32 +0000

lintian (2.30.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Warn about packages that use the deprecated $ADTTMP autopkgtest variable.

  [ Sylvestre Ledru ]
  * Emit a warning for overly-long binary package fields. (Closes: #942493)

  [ Felix Lechner ]
  * Generate the qa-list.txt data file from the Ultimate Debian Database
    and update this file in the package.
  * Extract the auto-reject tags from the data published by the FTP Master
    team and update locally.
  * In the cruft check, use the new ->tag subroutine instead of the
    Lintian::Tag::tag global.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Oct 2019 18:03:17 +0000

lintian (2.29.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - sphinxdoc-but-no-sphinxdoc-depends

  [ Chris Lamb ]
  * Warn about missing ${sphinxdoc:Depends} when either "--with sphinxdoc"
    or dh_sphinxdoc is used. (Closes: #940999)
  * Don't emit package-supports-alternative-init-but-no-init.d-script when
    we have a foo.service and foo.timer pair. (Closes: #933109)
  * Bump the minimum version required version for debhelper Build-Depends
    now that version 10 is satisfied in oldstable. (Closes: #942632)
  * Add python2 and python2-minimal as satisfying Build-Depends for Python
    packages. (Closes: #942658)
  * Improve the test package generation logging output to include a
    current/total status.
  * Add a trailing ellipsis to the "Prepearing X work directories" to
    denote processing is occuring in the background.

  [ Felix Lechner ]
  * Migrate all checks to use the new internal ->tag(..) subroutine.

  [ Sylvestre Ledru ]
  * Provide more information in the case of a sorting-order.t test failure
    to facilitate debugging.

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Oct 2019 10:06:13 +0000

lintian (2.28.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Correctly calculate an appropriate prior changelog version for source
    NMUs. (Closes: #942411)
  * Split check/files.pm into smaller components; invoke parts through the
    old scripts.

  [ Simon Quigley ]
  * Add "focal" as a known Ubuntu distribution.

  [ Adam Schmalhofer ]
  * Clarify the long description for the
    package-contains-python-tests-in-global-namespace tag to specifically
    mention "test_foo" directory-based moduiles and not "test_foo.py"
    files.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Oct 2019 18:00:48 +0000

lintian (2.27.0) unstable; urgency=medium

  [ Chris Lamb]
  * Don't warn about package-supports-alternative-init-but-no-init.d-script
    and systemd-service-file-missing-install-key and for units installed in
    a subdirectory of (for example) /lib/systemd/system. (Closes: #941419)
  * Update data/fields/perl-provides.

  [ Felix Lechner ]
  * In the tests, load profiles only from one location, ensuring one is
    loaded in pod-syposis.t. (Closes: #942252)
  * Make subchecks of 'fields' stand on their own:
    - Associate tags with new subchecks for original check 'fields'.
    - Add to the debian/main profile the new checks split from 'fields'.
  * Add editing aid section to all Perl files that do not have it, except
    in tests.

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Oct 2019 22:27:26 +0000

lintian (2.26.0) unstable; urgency=medium

  [ Chris Lamb ]
  * Avoid false-positives in non-consecutive-debian-revision by only
    performing the test when Debian revisions (eg. -2, -3, etc.) are whole
    integers. (Closes: #941395, #942013)
  * Correct/improve the grammar of the non-consecutive-debian-revision
    tags long description.

  [ Felix Lechner ]
  * Convert all test checks to use instantiated objects.

 -- Chris Lamb <lamby@debian.org>  Wed, 09 Oct 2019 23:51:26 +0000

lintian (2.25.0) unstable; urgency=medium

  * Fix false positives for templated (eg. "foo@.service") service files
    when checking for packages that appear to lack corresponding init
    scripts.
  * Update the long description of the
    init.d-script-depends-on-all-virtual-facility tag and whitelist the
    sysvinit package from all such init.d checks. (Closes: #941140)
  * Add 4.4.1 as a known Standards-Version.

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Oct 2019 08:52:55 +0000

lintian (2.24.0) unstable; urgency=medium

  [ Felix Lechner ]
  * Do not emit changelog-file-missing-explicit-entry when maintainer
    revision is 0 (eg. 1.2.5-0+deb10u1). (Closes: #940994)
  * Remove internal support for checking whether binary packages are
    "native".
  * Various code cleanups, splitting checks/fields.pm into smaller
    components, moving numerous tags, etc.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Sep 2019 08:15:59 +0000

lintian (2.23.0) unstable; urgency=medium

  * Allow the lowercase version of "UNRELEASED" changelog entries in
    various tags. This is a convention used in the Debian ports archive.
    (Closes: #940877)
  * Drop matching for Source-Version substvars; they are not supported by
    dpkg-dev anymore and results in us accidentally matching an incorrect
    "Source-:Upstream-Version" variable. (Closes: #940878)
  * Bump severity of script-uses-unversioned-python-in-shebang (ie.
    "#!/usr/bin/env python") from classification to "pedantic" severity for
    now. (Closes: #934853)

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Sep 2019 10:31:54 +0000

lintian (2.22.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - homepage-refers-to-obsolete-debian-infrastructure
      - license-file-listed-in-debian-copyright
      - odd-historical-debian-changelog-version
    + Removed:
      - debian-changelog-version-requires-debian-revision
      - hyphen-in-native-debian-changelog-version
      - latest-debian-changelog-entry-changed-to-native
      - pear-package-feature-requires-newer-pkg-php-tools
    + Renamed:
      - rules-requires-root-implicitly -> rules-requires-root-missing

  [ Chris Lamb ]
  * Check for packages still refering to the deprecated Alioth
    service in their Homepage field. (Closes: #933500)
  * Quote the package build path to avoid test failures when building in a
    directory whose name contains a '+' or other regex metacharacters.
    (Closes: #939674)
  * Don't emit the missing-build-dependency,
    package-uses-debhelper-but-lacks-build-depends or
    debhelper-but-no-misc-depends tags for packages that do not use
    debhelper but use specific parts of dh-autoreconf. (Closes: #939874)
  * Emit missing-build-dependency for packages that do not use debhelper
    but use specific parts of dh-autoreconf without build-depending on it.
  * Revert merging our two CI pipeline stages. Whilst this avoided an
    additional ~5 minute initial setup/teardown time, it meant that the
    cache misses attempted to do both the within the 1h timeout. Whilst we
    might still timeout overall, at least with a split we are very likely
    to have cached the build packages.
  * Upgrade and rename classification-level tag
    rules-requires-root-implicitly to rules-requires-root-missing. (Closes:
    #933240)
  * Drop the unnecessary pear-package-feature-requires-newer-pkg-php-tools
    tag. Thanks, Antonio Ospite and David Prévot. (Closes: #939698
  * Don't emit latest-debian-changelog-entry-changed-to-native if the
    latest changelog entry references "native package".

  [ Felix Lechner ]
  * Remove parts related to gzip timestamps from the files-general test.
    (Closes: #939673)
  * Refocus the 'binaries-missing-lfs' test on the tag
    'binary-file-built-without-LFS-support'. (Closes: #939639)
  * Add the changelog-distribution-does-not-match-changes-file tag to the
    ftp-master-auto-reject profile
  * In Lintian::Collect::Source, use a centralized version parser.
  * Add new tag 'license-file-listed-in-debian-copyright' to avoid
    unnecessary clutter.
  * Fix command-line processing for --check-part so 'all' can also be part
    of a list.
  * Associate the multiline-field tag with the 'lintian' check.

  [ Xavier ]
  * Fix false-postivies when checking for the
    pkg-js-autopkgtest-file-does-not-exist tag with regards to comments.
    (Closes: #940082)

  [ Rafael Laboissiere ]
  * Avoid false positives for library-not-linked-against-libc with Octave
    add-ons. (Closes: #940282)

  [ Faidon Liambotis ]
  * Use the "build-depends-all" relation to correctly detect binaries built
    with Go.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Sep 2019 02:49:05 +0000

lintian (2.21.0) unstable; urgency=medium

  * Add 'iIF' to the list of spelling exceptions ignored in binaries.
    Thanks to Graham Inggs and Matthias Klose. (Closes: #939637)
  * Suggest using libjs-bootstrap over libjs-twitter-bootstrap as the
    latter is not available in Debian buster. Thanks to Carsten Schoenert
    for the suggestion. (Closes: #939416)
  * Merge our two CI pipeline stages, avoiding an additional ~5 minute
    initial setup/teardown time as well as avoiding having to parse the
    checksums of the yet-to-be-downloaded build dependencies.

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Sep 2019 13:44:36 +0000

lintian (2.20.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - pkg-js-autopkgtest-test-is-empty
      - pkg-js-tools-test-is-empty

  [ Chris Lamb ]
  * Ignore Python scripts that are shipped under
    /usr/lib/python3/dist-packages as these files aren't supposed to be
    called as scripts. (Closes: #933167)
  * Avoid a large number of false-positives for
    package-does-not-use-debhelper-or-cdbs by actually taking into account
    whether the package uses CDBS or not. (Closes: #933902, #933903)
  * Avoid package-does-not-use-debhelper-or-cdbs false-positives for
    packages using the pkg-kde-tools CDBS routines. (Closes: #933901)
  * Don't emit python3-depends-but-no-python3-helper when we build-depend
    on dh-sequence-python3, etc. (Closes: #939050)
  * Split out building the test packages into a new CI stage, reducing the
    test iteration time by approximately 30 minutes in many cases.
    (Closes: #930487)

  [ Felix Lechner ]
  * Adjust the testing default to run only the declared check to speed up
    testing and make said tests more specific.
  * Combine the checks changelog-file and source-changelog into a new
    "changelog"-type check.

  [ Xavier ]
  * Group all Node.js-related tests into a new checks/nodejs.pm package.
  * Warn if the debian/tests/pkg-js/test file is empty or otherwise devoid
    of meaningful test content.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Sep 2019 07:57:19 +0000

lintian (2.19.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - older-source-format
      - unreleased-changelog-distribution
    + Removed:
      - source-field-does-not-match-pkg-name

  [ Chris Lamb ]
  * Don't emit the latest-debian-changelog-entry-without-new-version
    warning for uploads to the "buster" distribution. (Closes: #934982)
  * Also check for "${source:Upstream-Version}" etc. in the
    version-substvar-for-external-package tag, not just
    "${source:Version}". (Closes: #935138)
  * Update the name of the node-html5shiv library for the
    privacy-breach-uses-embedded-file-html5shiv and
    embedded-javascript-library tags. (Closes: #935083)

  [ Felix Lechner ]
  * Emit a wishlist tag for source format 1.0 packages. (Closes: #884498)
  * Complain about UNRELEASED distribution in changelogs if the .changes
    file is signed. (Closes: #873520)
  * Generate the HTML manual from reStructuredText; use latter as plain
    text. (Closes: #865847)
  * Convert the untestable source-field-does-not-match-pkg-name tag to a
    fatal program error.
  * In the test suite, use a default 3.0 source format and add default
    version numbers.

  [ Niels Thykier ]
  * commands/lintian:
    - Ensure @serializable is properly created.
    - Use wait_all during clean up; we are more interested in getting as
      much cleaned up over failing fast.

  [ Simon McVittie ]
  * Add /usr/bin/gjs-console as a recognised interpreter/shebang.
    (Closes: #934981)

  [ Raphaël Hertzog ]
  * Update the Kali Linux profile to make the dir-or-file-in-opt tag
    overridable.

  [ Paul Wise ]
  * Refer to the HTML version of the Debian Policy Upgrading checklist.

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Aug 2019 16:34:36 +0000

lintian (2.18.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - nodejs-module-installed-in-usr-lib
    + Removed:
      - dh-manual-sequence-control-obsolete

  [ Chris Lamb ]
  * Don't emit package-name-doesnt-match-sonames for udebs.
    (Closes: #934748)
  * Remove "busses" as a false-positive plural for "bus". Thanks to Jörg
    Frings-Fürst for the report. (Closes: #934452)
  * Recommend that maintainers do not override the
    "latest-debian-changelog-entry-changed-to-native" tag.
  * Don't emit changelog-file-missing-explicit-entry for uploads to the
    security archive (Re: #934026).

  [ Felix Lechner ]
  * Remove the "dh-manual-sequence-control-obsolete" tag as it cannot
    be tested due to debhelper changes.

  [ Xavier ]
  * Add a "nodejs-module-installed-in-usr-lib" tag to check if Node.js
    modules are installed in the (correct) new location.
  * Update the node-package-install-in-nodejs-rootdir test to search in all
    Node.js module directories.

 -- Chris Lamb <lamby@debian.org>  Wed, 14 Aug 2019 15:56:02 +0000

lintian (2.17.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - empty-debian-tests-control
    + Removed:
      - control-file-duplicate-field
      - control-file-syntax-error
      - debian-source-dir-unknown-source-format
      - debian-tests-control-is-not-a-regular-file
      - missing-runtime-tests-field
      - syntax-error-in-control-file
      - syntax-error-in-debian-tests-control
      - testsuite-control-missing-test-field
      - testsuite-control-not-file
      - testsuite-control-syntax-error
      - unknown-source-format

  [ Chris Lamb ]
  * Don't emit command-in-sbin-has-manpage-in-incorrect-section for
    symlinks; they are invariably provided for legacy/compatibility
    reasons. (Closes: #931951)
  * Update regex matches against lines in debian/rules correctly identify
    debhelper calls starting with environment modification (eg.
    "LC_ALL=C.UTF-8"). (Closes: #932128)
  * Factor out mangling of fatal error messages in the frontend
    configuration and correct the exit code if the specified profile does
    not exist. (Closes: #932215)
  * Expand the long description of the duplicate-files check to suggest how
    to remove them. Thanks to Rebecca Palmer for the suggested text.
    (Closes: #932411)
  * Downgrade command-in-sbin-has-manpage-in-incorrect-section to pedantic
    severity for the time being. (Closes: #570998)
  * Downgrade the severity and certainty of the
    package-supports-alternative-init-but-no-init.d-script tag for the time
    being. (Closes: #931889)
  * Correct multiple "gobject-introspection" typos. Thanks to Simon
    McVittie (smcv) for the pointer. (Closes: #933394)
  * Ignore all initscripts provided by the initscripts binary package
    instead of whitelisting issues individually or requiring overrides;
    these will never be regular-style initscripts. (Closes: #933383)

  [ Felix Lechner ]
  * Do not trigger repack requirement when the Debian revision includes the
    "repack" indicator. (Closes: #931846)
  * Drop Depends and Build-Depends on libparse-debianchangelog-perl.
    (Closes: #933134)
  * Quote the spelling corrections that consist of multiple words.
  * Use the null character as the line delimiter in collection/md5sums.
  * Show logs for tests with parse errors when unattended and show all
    parse errors in TAP.
  * Always show log when failing to build a test package.
  * Store tags is separate, small files under ./tags.
  * Remove MatchVars check from PerlCritic configuration.
  * In the test runner, add an option to accept all tag changes.

  [ Paul Wise ]
  * Add several spelling corrections.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Aug 2019 16:45:11 +0100

lintian (2.16.0) unstable; urgency=medium

  The "post-buster" release.

  * Summary of tag changes:
    + Added:
      - bin-sbin-mismatch
      - command-in-sbin-has-manpage-in-incorrect-section
      - directory-in-etc-sv-directory-without-executable-run-script
      - package-supports-alternative-init-but-no-init.d-script

  [ Chris Lamb ]
  * Add 4.4.0 as a known Standards-Version.
  * Post-buster changes:
    - Reflect the release, updating dates (etc.) of "oldstable" and so on.
    - Bump the recommended debhelper level to 12 (see #918809).
    - Bump the old and ancient version numbers for Python 3 checks (see
      #903399).
    - Drop the deprecated --fail-on-warnings option to help towards fixing
      Debian bug #709932.
    - Upgrade package-uses-vendor-specific-patch-series to "E:" level
      severity (see #904302).
  * Warn about files referencing /usr/bin/foo if the binary is actually
    installed under /usr/sbin/foo. (Closes: #930702)
  * Check that a package that ships a /etc/sv/foo directory then
    /etc/sv/foo/run exists and is executable. (Closes: #931426)
  * Support suppress-tags-from-file in Lintian configuration file.
    (Closes: #930700)
  * Don't emit pkg-js-tools-test-is-missing if the "dh" invocation uses
    variables in its arguments. (Closes: #928283)
  * Fix "mistake||correction" delimiter for a number of entries in
    data/spelling/corrections-case. (Closes: #931446)
  * Disable the duplicate word checker when analysing patch files.
    (Closes: #931183)
  * Override dh_dwz in a binaries-general test to avoid testsuite hanging.
    (Closes: #931632)
  * Avoid false-positives in source-contains-prebuilt-doxygen-documentation
    against Doxygen templates. (Closes: #930109)
  * Exclude "X Bitmap Graphic" (.xbm) files from being flagged as extra
    license files. (Closes: #930211)
  * Add an exception for documentation outside of /usr/share/doc for "R"
    statistical computing modules; users expect them under
    /usr/lib/R/site-library. (Closes: #930311)
  * Interpolate $DPKG_MAINTSCRIPT_PACKAGE in debconf(7) template names in
    maintainer scripts. (Closes: #930677)
  * Check that packages that provide support for alternative init systems
    also provide an init.d script. (Closes: #926471)
  * Add /lib/runit/invoke-run as a known interpreter to avoid false
    positives in checking runit scripts under /etc/sv/*/run.
    (Closes: #930701)
  * Don't emit latest-debian-changelog-entry-without-new-version for
    uploads to (eg.) buster-security to avoid false-positives when
    performing "no-change" uploads with a ~debXuY suffix.

  [ Felix Lechner ]
  * Bump the minimum perltidy version required to avoid test failures.
  * Add runtime dependency on liblist-compare-perl.
  * Reduce the complexity of code in Lintian::Unpacker.

  [ Dmitry Bogatov ]
  * Check for commands in /sbin or /usr/sbin with manpages in the
    incorrect section. (Closes: #570998)

  [ Adam D. Barratt ]
  * Lintian::Reporting::Util: Add missing import of Exporter::import.

  [ Axel Beckert ]
  * checks/systemd.pm: Fix "systemctl --daemon-reload" vs "systemctl
    daemon-reload".
  * Fix typo in description of debian-watch-does-not-check-gpg-signature.

 -- Chris Lamb <lamby@debian.org>  Mon, 08 Jul 2019 01:24:09 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lintian-doc`.
